<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="ivr">
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:choose>
			<c:when test="${empty param.supervisorType and empty param.save}">
				<%@ include file="../ui/ivr/searchsup.jsp" %>
			</c:when>
			
			<c:when test="${not empty param.save}">
			    <sql:update dataSource="jdbc/ipcontact">
				INSERT INTO supervisors_ivrs VALUES ('${param.user_id}', '${param.ivr}')
			    </sql:update>
			    <fmt:message key="ivr.added" var="result"/>
			    <c:set var="message" value="${result}" scope="session"/>
			    <c:set var="messageType" value="ok" scope="session"/>
			    
			    <c:url var="contact" value="supervisorsIvrs.jsp">
				<c:param name="supervisor" value="${param.supervisor}"/>
				<c:param name="supervisorType" value="${param.supervisorType}"/>
			    </c:url>

			    <c:redirect url="${contact}"/>
			</c:when>
		
			<c:otherwise>
				<w:where var="conds">
					<w:condition attribute="username" comparator="${param.supervisorType}" value="${param.supervisor}"/>
					<w:condition condition="(role = 'supervisor' or role = 'manager')"/>
				</w:where>
		
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT username, first_name, last_name, ivr_id, ivr_name
					FROM users 
					LEFT JOIN supervisors_ivrs ON user_id=username
					LEFT JOIN ivr USING (ivr_id)
					${conds} ORDER BY username 
				</sql:query>
						
				<form method="get" action="supervisorsIvrs.jsp" name="jumpForm">
					<input type="hidden" name="supervisor" value="${param.supervisor}"/>
					<input type="hidden" name="supervisorType" value="${param.supervisorType}"/>
				</form>
		
				<form method="post" action="delSupervisor.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="supervisor" value="${param.supervisor}"/>
					<input type="hidden" name="user_id" value=""/>
					<input type="hidden" name="group_id" value=""/>
					<input type="hidden" name="supervisorType" value="${param.supervisorType}"/>
				</form>
				<%@ include file="../ui/ivr/listsup.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

