<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%@page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<c:choose>
		<c:when test="${not empty param.id}">
			<c:set var="activemenu" value="${param.id}" scope="session"/>
		</c:when>
		<c:otherwise>
			<c:if test="${empty sessionScope.activemenu}">
				<c:set var="activemenu" value="users" scope="session"/>
			</c:if>
		</c:otherwise>
	</c:choose>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link type="text/css" rel="stylesheet" href="include/style.css"/>
		<link rel="icon" href="include/favicon.png" />
		<script type="text/javascript">
			function expandmenu(active) {
				document.forms.menu.id.value=active;
				document.forms.menu.submit();
			}
		</script>
		<c:choose>
			<c:when test="${locale eq \"en\"}">
				<fmt:setLocale value="en" />
			</c:when>
			<c:when test="${locale eq \"es\"}">
				<fmt:setLocale value="es" />
			</c:when>
			<c:when test="${locale eq \"pt\"}">
				<fmt:setLocale value="pt" />
			</c:when>
		</c:choose>
	</head>
	<body>
		<form method="post" action="menuframe.jsp" name="menu" target="_self">
			<input type="hidden" name="id"/>
		</form>
		<fmt:bundle basename="base">
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"users\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('users')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('users')">
						<fmt:message key="menu.title.users"/>
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"users\"}">
					<li class="menu"><a class="menu" href="${path}users/addUser.jsp" target="_top"><fmt:message key="menu.users.adduser" /></a></li>
					<li class="menu"><a class="menu" href="${path}users/listUsers.jsp" target="_top"><fmt:message key="menu.users.listusers" /></a></li>
				</c:if>
			</ul> 
			<c:if test="${sessionScope.role eq 'admin'}">
			<c:if test="${sessionScope.useSupervisor}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"usergroups\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('usergroups')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('usergroups')">
							<fmt:message key="menu.title.usergroups" />
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"usergroups\"}">
						<li class="menu"><a class="menu" href="${path}groups/addGroup.jsp" target="_top"><fmt:message key="menu.usergroups.addgroup" /></a></li>
						<li class="menu"><a class="menu" href="${path}groups/listGroups.jsp" target="_top"><fmt:message key="menu.usergroups.listgroups" /></a></li>
						<li class="menu"><a class="menu" href="${path}groups/listSupervisors.jsp" target="_top"><fmt:message key="menu.usergroups.listsupervisors" /></a></li>
					</c:if>
				</ul>
			</c:if>
			<c:if test="${sessionScope.useRealtimeQueues}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"queuegroups\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('queuegroups')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('queuegroups')">
							<fmt:message key="menu.title.queuegroups" />
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"queuegroups\"}">
						<li class="menu"><a class="menu" href="${path}groups/addGroupQueue.jsp" target="_top"><fmt:message key="menu.queuegroups.addgroup" /></a></li>
						<li class="menu"><a class="menu" href="${path}groups/listGroupsQueue.jsp" target="_top"><fmt:message key="menu.queuegroups.listgroups" /></a></li>
					</c:if>
				</ul>
			</c:if>
			<c:if test="${sessionScope.ivr}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"ivr\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('ivr')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('ivr')">
							<fmt:message key="menu.title.ivr"/>
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"ivr\"}">
						<li class="menu"><a class="menu" href="${path}ivr/addIvr.jsp" target="_top"><fmt:message key="menu.ivr.add" /></a></li>
						<li class="menu"><a class="menu" href="${path}ivr/listIvr.jsp" target="_top"><fmt:message key="menu.ivr.list" /></a></li>
						<li class="menu"><a class="menu" href="${path}ivr/supervisorsIvrs.jsp" target="_top"><fmt:message key="menu.ivr.listsupervisors"/></a></li>
					</c:if>
				</ul>
			</c:if>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"channels\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('channels')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('channels')">
						<fmt:message key="menu.title.channels" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"channels\"}">
					<li class="menu"><a class="menu" href="${path}channels/addSipChannel.jsp" target="_top"><fmt:message key="menu.channels.addsipchannel" /></a></li>
					<li class="menu"><a class="menu" href="${path}channels/addZapChannel.jsp" target="_top"><fmt:message key="menu.channels.addzapchannel" /></a></li>
					<li class="menu"><a class="menu" href="${path}channels/addIaxChannel.jsp" target="_top"><fmt:message key="menu.channels.addiaxchannel" /></a></li>
					<li class="menu"><a class="menu" href="${path}channels/listSipChannels.jsp" target="_top"><fmt:message key="menu.channels.listsipchannels" /></a></li>
					<li class="menu"><a class="menu" href="${path}channels/listZapChannels.jsp" target="_top"><fmt:message key="menu.channels.listzapchannels" /></a></li>
					<li class="menu"><a class="menu" href="${path}channels/listIaxChannels.jsp" target="_top"><fmt:message key="menu.channels.listiaxchannels" /></a></li>
				</c:if>
			</ul>
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"extensions\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('extensions')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('extensions')">
						<fmt:message key="menu.title.extensions" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"extensions\"}">
					<li class="menu"><a class="menu" href="${path}extensions/addExtension.jsp" target="_top"><fmt:message key="menu.extensions.addextension" /></a></li>
					<li class="menu"><a class="menu" href="${path}extensions/listExtensions.jsp" target="_top"><fmt:message key="menu.extensions.listextensions" /></a></li>
					<li class="menu"><a class="menu" href="${path}extensions/addVoicemail.jsp" target="_top"><fmt:message key="menu.extensions.addvoicemail" /></a></li>
					<li class="menu"><a class="menu" href="${path}extensions/listVoicemail.jsp" target="_top"><fmt:message key="menu.extensions.listvoicemail" /></a></li>
				</c:if>
			</ul>
			
			<c:if test="${sessionScope.useRealtimeQueues}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"queues\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('queues')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('queues')">
							<fmt:message key="menu.title.queues" />
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"queues\"}">
						<li class="menu"><a class="menu" href="${path}queues/addQueue.jsp" target="_top"><fmt:message key="menu.queues.addqueue" /></a></li>
						<li class="menu"><a class="menu" href="${path}queues/listQueues.jsp" target="_top"><fmt:message key="menu.queues.listqueues" /></a></li>
					</c:if>
				</ul>
			</c:if>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"sections\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('sections')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('sections')">
						<fmt:message key="menu.title.sections" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"sections\"}">
					<li class="menu"><a class="menu" href="${path}sections/addSection.jsp" target="_top"><fmt:message key="menu.sections.addsection" /></a></li>
					<li class="menu"><a class="menu" href="${path}sections/listSections.jsp" target="_top"><fmt:message key="menu.sections.listsections" /></a></li>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"pstn\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('pstn')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('pstn')">
						<fmt:message key="menu.title.pstn" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"pstn\"}">
					<li class="menu"><a class="menu" href="${path}pstn/addLine.jsp" target="_top"><fmt:message key="menu.pstn.addline" /></a></li>
					<li class="menu"><a class="menu" href="${path}hunt/addHuntGroup.jsp" target="_top"><fmt:message key="menu.hunt.addhuntgroup" /></a></li>
					<li class="menu"><a class="menu" href="${path}pstn/listLines.jsp" target="_top"><fmt:message key="menu.pstn.listlines" /></a></li>
					<li class="menu"><a class="menu" href="${path}hunt/listHuntGroups.jsp" target="_top"><fmt:message key="menu.hunt.listhuntgroups" /></a></li>
				</c:if>
			</ul>		
		 
			<c:if test="${sessionScope.useVirtualPBX}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"vpbx\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('vpbx')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('vpbx')">
							<fmt:message key="menu.title.vpbx" />
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"vpbx\"}">
						<li class="menu"><a class="menu" href="${path}vpbx/addVpbx.jsp" target="_top"><fmt:message key="menu.vpbx.addvpbx" /></a></li>
						<li class="menu"><a class="menu" href="${path}vpbx/listVpbxs.jsp" target="_top"><fmt:message key="menu.vpbx.listvpbxs" /></a></li>
						<li class="menu"><a class="menu" href="${path}operators/listOperators.jsp" target="_top"><fmt:message key="menu.vpbx.operatorsvpbxs" /></a></li>
					</c:if>
				</ul>
			</c:if>		
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"fees\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('fees')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('fees')">
						<fmt:message key="menu.title.fees" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"fees\"}">
					<li class="menu"><a class="menu" href="${path}fees/addFee.jsp" target="_top"><fmt:message key="menu.fees.addfee" /></a></li>
					<li class="menu"><a class="menu" href="${path}fees/listFees.jsp" target="_top"><fmt:message key="menu.fees.listfees" /></a></li>
				</c:if>
			</ul>	
			<c:if test="${sessionScope.fast}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"holidays\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('holidays')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('holidays')">
							Feriados
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"holidays\"}">
						<li class="menu"><a class="menu" href="${path}fast/addHoliday.jsp" target="_top">Adicionar feriado</a></li>
						<li class="menu"><a class="menu" href="${path}fast/listHolidays.jsp" target="_top">Lista de feriados</a></li>
					</c:if>
				</ul>
			</c:if>  
			</c:if> 
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"admin\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('admin')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('admin')">
						<fmt:message key="menu.title.admin" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"admin\"}">
					<c:if test="${sessionScope.role eq 'admin'}">
						<li class="menu"><a class="menu" href="${path}statistics/listCdr.jsp" target="_top"><fmt:message key="menu.statistics.listcdr" /></a></li>
						<li class="menu"><a class="menu" href="${path}clients/listClients.jsp" target="_top"><fmt:message key="menu.listclients" /></a></li>
						<li class="menu"><a class="menu" href="${path}servlet/ipcontact.Jnlp" target="_top"><fmt:message key="menu.console" /></a></li>
						<li class="menu"><a class="menu" href="${path}reload.jsp" target="_top"><fmt:message key="menu.reload" /></a></li>
						<li class="menu"><a class="menu" href="${path}restart.jsp" target="_top"><fmt:message key="menu.restart" /></a></li>
					</c:if>
						<li class="menu"><a class="menu" href="${path}logout.jsp" target="_top"><fmt:message key="menu.logout" /></a></li>
				</c:if>
			</ul>
		</fmt:bundle>
	</body>
</html>