<%pageContext.setAttribute("path","");%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="base">
	<div id="right">
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<c:choose>
			<c:when test="${empty param.submit}">
				<h2><fmt:message key="reload.question"/></h2>
		
				<form method="get" action="reload.jsp" target="_self">
					<c:if test="${not empty needSipReload}">
						<c:set var="checked" value="checked=\"checked\""/>
					</c:if>
					<input type="checkbox" name="reload_sip" ${checked}/><fmt:message key="reload.sip"/>
					<br/>
					<c:set var="checked" value=""/>
					
					<c:if test="${not empty needZapReload}">
						<c:set var="checked" value="checked=\"checked\""/>
					</c:if>
					<input type="checkbox" name="reload_zap" ${checked}/><fmt:message key="reload.zap"/>
					<c:set var="checked" value=""/>
					
					<br/>
					<c:if test="${not empty needIaxReload}">
						<c:set var="checked" value="checked=\"checked\""/>
					</c:if>
					<input type="checkbox" name="reload_iax" ${checked}/><fmt:message key="reload.iax"/>
					<c:set var="checked" value=""/>
					<br/>
					<c:if test="${not empty needExtReload}">
						<c:set var="checked" value="checked=\"checked\""/>
					</c:if>
					<input type="checkbox" name="reload_ext" ${checked}/><fmt:message key="reload.ext"/>
					<c:set var="checked" value=""/>
					
					<br/>
					<c:if test="${sessionScope.useVirtualPBX}">
						<c:if test="${not empty needVpbxReload}">
							<c:set var="checked" value="checked=\"checked\""/>
						</c:if>
						<input type="checkbox" name="reload_vpbxs" ${cjecked}/><fmt:message key="reload.vpbxs"/>
						<c:set var="checked" value=""/>
						<br/>
					</c:if>
					<br/>
					<fmt:message key="reload.submit" var="submit"/>
					<input class="boton" type="submit" name="submit" value="${submit}"/>
				</form>
			</c:when>
		
			<c:otherwise>
				<c:if test="${not empty param.reload_sip}">
					<c:set var="needSipReload" scope="session" value="yes"/>
				</c:if>
		
				<c:if test="${not empty param.reload_zap}">
					<c:set var="needZapReload" scope="session" value="yes"/>
				</c:if>
				
				<c:if test="${not empty param.reload_ext}">
					<c:set var="needExtReload" scope="session" value="yes"/>
				</c:if>
				
				<c:if test="${not empty param.reload_vpbxs && sessionScope.useVirtualPBX}">
					<c:set var="needVpbxReload" scope="session" value="yes"/>
				</c:if>
		
				<c:if test="${not empty param.reload_iax}">
					<c:set var="needIaxReload" scope="session" value="yes"/>
					<%@ include file="../include/sql/iax_fix_table.jsp" %>
				</c:if>
				<%@ include file="../include/sql/sshconfig_fix_table.jsp" %>	
				<%
					try {
						Reload rld = new Reload();
						String path = getServletContext().getRealPath("/");
						rld.setRoute(path + session.getAttribute("customDir").toString());
						rld.setSip(session.getAttribute("sipFile").toString());
						rld.setZap(session.getAttribute("zapFile").toString());
						rld.setIax(session.getAttribute("iaxFile").toString());	
						
						rld.reload(session);
					} catch(Exception e) {
						System.out.println("EE Ocurrió un error en reload.jsp");
						e.printStackTrace();
					}
				%>
				<c:redirect url="reload.jsp"/>
			</c:otherwise>
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>
