<%pageContext.setAttribute("path","../");%>
<%@ page import="ipcontact.sections.SyncSections" %>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="sections">
		<c:choose>
			<c:when test="${not empty param.mode}">
			  <c:set var="mode" value="${param.mode}"/>
			</c:when>
			<c:otherwise>
				<c:choose>
					<c:when test="${not empty sessionScope.mode}">
		        		<c:set var="mode" value="${sessionScope.mode}"/>
					</c:when>
					<c:otherwise>
						<c:set var="mode" value="edit"/>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<c:set var="mode" value="" scope="session"/>

		<c:choose>
			<c:when test="${not empty param.id}">
				<%
					try {
						SyncSections sync = new SyncSections();
						sync.synchronize();
					} catch(Exception e) {
						session.setAttribute("message", e.getMessage());
						session.setAttribute("messageType", "error");
						e.printStackTrace();
					}
				%>
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup
					FROM sections
					WHERE callgroup = '${param.id}'
				</sql:query>
				<c:set var="section" value="${rs.rows[0].section}"/>
				<c:set var="callgroup" value="${rs.rows[0].callgroup}"/>
			</c:when>
			<c:otherwise>
				<c:set var="section" value=""/>
				<c:set var="callgroup" value=""/>
			</c:otherwise>
		</c:choose>
		
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				${sessionScope.message}
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>

		<c:choose>
			<c:when test="${mode eq \"edit\"}">
				<c:if test="${not empty param.section}">
					<c:choose>
						<c:when test="${empty param.oldCallgroup}">
							<c:catch var="e">
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT CAST((MAX(callgroup) + 1) AS CHAR) AS next
									FROM sections
								</sql:query>
								<c:choose>
									<c:when test="${empty rs.rows[0].next}">
										<c:set var="section" value="0"/>
									</c:when>
									<c:otherwise>
										<c:set var="section" value="${rs.rows[0].next}"/>
									</c:otherwise>
								</c:choose>
								<sql:update dataSource="jdbc/ipcontact">
									INSERT INTO sections (section, callgroup) VALUES('${param.section}', '${section}')
								</sql:update>
							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="section.added" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listSections.jsp"/>
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:catch var="e">
								<sql:update dataSource="jdbc/ipcontact">
									UPDATE sections SET section = '${param.section}' WHERE callgroup = '${param.oldCallgroup}'
								</sql:update>
							</c:catch>
							<c:choose>
								<c:when test="${not empty e}">
									<c:set var="message" scope="session" value="${e}"/>
									<c:set var="messageType" scope="session" value="error"/>
								</c:when>
								<c:otherwise>
									<fmt:message key="section.updated" var="message"/>
									<c:set var="message" scope="session" value="${message}"/>
									<c:set var="messageType" scope="session" value="ok"/>
									<c:redirect url="listSections.jsp"/>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</c:if>
				<%@ include file="../ui/sections/edit.jsp" %>
			</c:when>
			<c:when test="${mode eq \"view\"}">
			  	<%@ include file="../ui/sections/view.jsp" %>
			</c:when>
			<c:otherwise>
			  	<%@ include file="../ui/sections/view.jsp" %>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
