<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<script type="text/javascript" src="${path}calendar/current.js"></script>
<script type="text/javascript" src="${path}calendar/scw.js"></script>
<link type="text/css" rel="stylesheet" href="${path}calendar/scw.css"/>


<div id="right">
    <fmt:bundle basename="statistics">
	<h1><fmt:message key="stats.cdr.title"/></h1>
		
	<c:choose>
	    <c:when test="${empty param.rows}">
		<%@ include file="../include/sql/fees_fix_table.jsp" %>
		<sql:query var="rs" dataSource="jdbc/ipcontact">
		    SELECT first_name, last_name, user
		    FROM users, agents
		    WHERE username = user
		    ORDER BY first_name
		</sql:query>
		<%@ include file="../ui/statistics/search.jsp" %>
	    </c:when>
		
	    <c:otherwise>
		
		<w:where var="conds">
		    <w:condition attribute="calldate" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
		    <w:condition attribute="calldate" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
		    <w:condition attribute="ci.cidname" comparator="${param.clidtype}" value="${param.clid}"/>
		    <w:condition attribute="ci.dnidname" comparator="${param.calledtype}" value="${param.called}"/>
		    <w:condition attribute="ci.cid" comparator="${param.srctype}" value="${param.src}"/>
		    <w:condition attribute="ci.dnid" comparator="${param.dsttype}" value="${param.dst}"/>
		    <c:if test="${param.agent != \"all\"}">
			<w:condition attribute="ci.agent" value="${param.agent}"/>
			</c:if>
			<c:if test="${param.queue != \"all\"}">
			<w:condition attribute="ci.queue" value="${param.queue}"/>
			</c:if>
			<c:if test="${param.record == \"no\"}">
			<w:condition condition="callmonitor.uniqueid is null"/>
			</c:if>
			<c:if test="${param.calls eq \"in\"}">
			<w:condition attribute="ci.direction" value="${param.calls}"/>
			</c:if>
    		<c:if test="${param.calls eq \"out\"}">
    		<w:condition attribute="ci.direction" value="${param.calls}"/>
    		</c:if>
    		<c:if test="${param.calls eq \"lo\"}">
    		<w:condition attribute="ci.direction" value="${param.calls}"/>
    		</c:if>  		    
			<c:choose>
			<c:when test="${param.section == \"cc\"}">
			    <w:condition condition="ci.queue like \"cc%\""/>
			</c:when>
			<c:when test="${param.section == \"cc_lost\"}">
			    <w:condition condition="ci.queue like \"cc%\""/>
			    <w:condition attribute="ci.status" value="3"/>
			</c:when>
			<c:when test="${param.section == \"no_cc\"}">
			    <w:condition condition="ci.queue not like \"cc%\""/>
			</c:when>
		    </c:choose>
    		<c:if test="${param.result eq 'lost'}">
    			<w:condition attribute="ci.status" value="3"/>
    		</c:if>
    		<c:if test="${param.result eq 'agenthangup'}">
    			<w:condition attribute="ci.status" value="2"/>
    		</c:if>
    		<c:if test="${param.result eq 'answered'}">
    			<w:condition attribute="disposition" value="ANSWERED"/>
    		</c:if>
    		<c:if test="${param.result eq 'noanswer'}">
    			<w:condition attribute="disposition" value="NO ANSWER"/>
    		</c:if>
    		<c:if test="${param.result eq 'busy'}">
    			<w:condition attribute="disposition" value="BUSY"/>
    		</c:if>
    		<c:if test="${param.result eq 'failed'}">
    			<w:condition attribute="disposition" value="FAILED"/>
    		</c:if>
    	</w:where>
		
		<c:set var="offset" value="${param.offset}"/>

		<c:if test="${empty offset}">
		    <c:set var="offset" value="0"/>
		</c:if>
		
		<c:set var="join" value="LEFT JOIN callinfo AS ci ON ci.uniqueid = cdr.uniqueid"/>
		
		<c:choose>
		    <c:when test="${param.record == \"all\" || param.record == \"no\"}">
			<c:set var="join" value="${join} LEFT JOIN callmonitor ON callmonitor.uniqueid = cdr.uniqueid"/>
		    </c:when>
		    <c:when test="${param.record == \"yes\"}">
			<c:set var="join" value="${join} JOIN callmonitor ON callmonitor.uniqueid = cdr.uniqueid"/>
		    </c:when>
		</c:choose>
		
		<sql:query var="rs" dataSource="jdbc/ipcontact">
		    SELECT count(DISTINCT cdr.uniqueid) AS count FROM cdr ${join} ${conds}
		</sql:query>

		<c:set var="regcount" value="${rs.rows[0].count}"/>

		<c:if test="${rs.rows[0].count > (offset + param.rows)}">
		    <c:set var="nextOffset" value="true"/>
		</c:if>
				
		<!-- tarifas -->
		<sql:query var="rsReg" dataSource="jdbc/ipcontact">
		    SELECT * FROM fees ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date)
		</sql:query>

		<c:choose>
		    <c:when test="${rsReg.rowCount == 0}">
			<c:set var="expressions" value="0"/>
		    </c:when>
		    <c:otherwise>
			<c:set var="expressions" value="CASE "/>
			<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
			    <c:choose>
				<c:when test="${row.usetime and row.start_time <= row.end_time}">
				    <c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
				</c:when>
				<c:otherwise>
				    <c:set var="time1" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.usetime and row.start_time > row.end_time}">
				    <c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
				</c:when>
				<c:otherwise>
				    <c:set var="time2" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.usedate}">
				    <c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
				</c:when>
				<c:otherwise>
				    <c:set var="date" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:choose>
				<c:when test="${row.useday}">
				    <c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
				</c:when>
				<c:otherwise>
				    <c:set var="day" value=""/>
				</c:otherwise>
			    </c:choose>

			    <c:set var="expressions" value="${expressions} when dst REGEXP '${row.expression}' and
				direction = 'out' ${time1} ${time2} ${date} ${day}
				then CAST(CONCAT(CEILING(billsec/${row.fraction_period}) * ${row.price},' (${row.name})') AS CHAR)"/>
			</c:forEach>
			<c:set var="expressions" value="${expressions} else '' end "/>
		    </c:otherwise>
		</c:choose>
		<!-- end tarifas -->
		
		<c:set var="sql" scope="session" value=
		    "SELECT DISTINCT DATE_FORMAT(cdr.calldate, '%d/%m/%Y %T') as calldatef, ci.cid, ci.cidname, ci.status, 
		    cdr.disposition, ci.dnidname, ci.dnid, ci.queue, ci.agent, callmonitor.uniqueid as recordid, 
		    CAST(SEC_TO_TIME(cdr.duration) AS CHAR) AS duration, cdr.accountcode, cdr.uniqueid, 
		    CAST(SEC_TO_TIME(cdr.billsec) AS CHAR) AS feeTime, ${expressions} as fee
		    FROM cdr 
		    ${join} ${conds} ORDER BY calldate DESC"
		/>
				
		<sql:query var="rs" dataSource="jdbc/ipcontact">
		    ${sessionScope.sql} LIMIT ${param.rows} OFFSET ${offset}
		</sql:query>
		<%@ include file="../ui/statistics/list.jsp" %>
	    </c:otherwise>
	</c:choose>
    </fmt:bundle>
</div>
</body>
</html>
