<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<fmt:message key="addiax.validations.name" var="valname"/>
<fmt:message key="addiax.validations.secret" var="valsecret"/>
<fmt:message key="addiax.validations.calleridName" var="valcalleridName"/>
<fmt:message key="addiax.validations.calleridNumber" var="valcalleridNumber"/>
<fmt:message key="addiax.validations.host" var="valhost"/>

<script type="text/javascript">
<!--
  // moveOptionsUp
  //
  // move the selected options up one location in the select list
  //
  function moveOptionsUp(selectId) {
    var selectList = document.forms.formulario.allow;
    var selectOptions = selectList.getElementsByTagName('option');
    for (var i = 1; i < selectOptions.length; i++) {
      var opt = selectOptions[i];
      if (opt.selected) {
        selectList.removeChild(opt);
        selectList.insertBefore(opt, selectOptions[i - 1]);
      }
    }
  }
  // moveOptionsDown
  //
  // move the selected options down one location in the select list
  //
  function moveOptionsDown(selectId) {
    var selectList = document.forms.formulario.allow;
    var selectOptions = selectList.getElementsByTagName('option');
    for (var i = selectOptions.length - 2; i >= 0; i--) {
      var opt = selectOptions[i];
      if (opt.selected) {
        var nextOpt = selectOptions[i + 1];
        opt = selectList.removeChild(opt);
        nextOpt = selectList.replaceChild(opt, nextOpt);
        selectList.insertBefore(nextOpt, opt);
      }
    }
  }
  
  function addCallgroup() {
	if (document.forms.formulario.callgroups.value != "") {
		document.forms.formulario.callgroup.value = document.forms.formulario.callgroups.value;
		document.forms.formulario.callgroups.selectedIndex = 0;
	}
  }

  function addPickupgroup() {
	if (document.forms.formulario.pickupgroups.value != "") {
	  	if (document.forms.formulario.pickupgroup.value == ""){
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroups.value;
		} else {
			document.forms.formulario.pickupgroup.value = document.forms.formulario.pickupgroup.value + ',' + document.forms.formulario.pickupgroups.value;	
		}
		document.forms.formulario.pickupgroups.selectedIndex = 0;
	}
  }
  
  var voicemail = false;

  function validateOnSubmit() {

    if (!validatePresent(document.forms.formulario.name, 'inf_name')) {
    	alert("${valname}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.secret, 'inf_secret')) {
    	alert("${valsecret}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.calleridName, 'inf_calleridname')) {
    	alert("${valcalleridName}");
    	return false;
    }
    
     if (!validateNr(document.forms.formulario.calleridNumber, 'inf_calleridnumber', true)) {
    	alert("${valcalleridNumber}");
    	return false;
    }

    if (!validatePresent(document.forms.formulario.host, 'inf_host')) {
    	alert("${valhost}");
    	return false;
    }
    
    return true;
  };

//-->
</script>

<c:set var="valname" value=""/>
<c:set var="valsecret" value=""/>
<c:set var="valcalleridName" value=""/>
<c:set var="valcalleridNumber" value=""/>
<c:set var="valhost" value=""/>

<h2><fmt:message key="addiax.edit.title"/></h2>

<form onsubmit="return validateOnSubmit()" method="post" action="../servlet/ipcontact.channels.AddIaxChannel" name="formulario" target="_self"/>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.name"/></td>
			<td class="query">
				<input type="text" name="name" size="15" maxlength="80" value="${name}" onchange="validatePresent(this, 'inf_name', true);" />
			</td>
			<td class="query" id="inf_name"><c:if test="${empty name}"><fmt:message key="addiax.required"/></c:if></td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.secret"/></td>
			<td class="query">
				<input type="password" name="secret" size="10" maxlength="80" value="${secret}" onchange="validatePresent(this, 'inf_secret', true);" />
			</td>
			<td class="query" id="inf_secret">
				<c:if test="${empty secret}">
					<fmt:message key="addiax.required"/>
				</c:if>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addiax.calleridname"/></td>
			<td class="query">
				<input type="text" name="calleridName" size="15" maxlength="80" value="${calleridName}" onchange="validatePresent(this, 'inf_calleridname')" />
			</td>
			<td class="query" id="inf_calleridname"><c:if test="${empty calleridName}"><fmt:message key="addiax.required"/></c:if></td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.calleridnumber"/></td>
			<td class="query">
				<input type="text" name="calleridNumber" size="15" maxlength="80" value="${calleridNumber}" onchange="validateNr(this, 'inf_calleridnumber', true)" />
			</td>
			<td class="query" id="inf_calleridnumber"><c:if test="${empty calleridNumber}"><fmt:message key="addiax.required"/></c:if></td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.mailbox"/></td>
			<td class="query">
			<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT mailbox FROM voicemail_account
				</sql:query>
				<select name="mailbox">
					<option value=""> </option>
					<c:forEach var="row" items="${rs.rows}">
						<c:if test="${mailbox eq row.mailbox}">
							<c:set var="selected" value="selected=\"selected\""/>
						</c:if>
						<option value="${row.mailbox}" ${selected}>${row.mailbox}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select>
			</td>
			<td class="query"/>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addiax.callgroup"/></td>
			<td class="query">
				<input type="text" name="callgroup" size="10" maxlength="10" value="${callgroup}"/>
			</td>
			<td class="query">
				<%@ include file="../../include/sql/sections_fix_table.jsp" %>
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="callgroups" onchange="addCallgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>

		<tr class="plain">
			<td class="label"><fmt:message key="addiax.pickupgroup"/></td>
			<td class="query">
				<input type="text" name="pickupgroup" size="10" maxlength="10" value="${pickupgroup}"/>
			</td>
			<td class="query">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT section, callgroup FROM sections
				</sql:query>
				<select name="pickupgroups" onchange="addPickupgroup()">
					<option value="" selected="selected">
						<fmt:message key="addsip.none"/>
					</option>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<option value="${row.callgroup}">
							${row.section}
						</option>
					</c:forEach>
				</select>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addsip.host"/></td>
			<td class="query">
				<input type="text" name="host" size="15" maxlength="31" value="${host}" onChange="validatePresent(this, 'inf_host', true)"/>
			</td>
			<td class="query" id="inf_host">
				<c:if test="${empty host}">
					<fmt:message key="addsip.required"/>
				</c:if>
			</td>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.context"/></td>
			<td class="query">
				<input type="text" name="context" size="15" maxlength="80" value="${context}" />
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.qualify"/></td>
			<td class="query">
				<c:if test="${empty qualify}"><c:set var="qualify" value="no"/></c:if>
				<c:if test="${qualify eq \"yes\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="qualify" value="yes" ${checked} /><fmt:message key="addiax.yes"/>
				<c:set var="checked" value=""/>
				<c:if test="${qualify eq \"no\"}">
					<c:set var="checked" value="checked=\"checked\""/>
				</c:if>
				<input type="radio" name="qualify" value="no" ${checked} /><fmt:message key="addiax.no"/>
				<c:set var="checked" value=""/>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.disallow"/></td>
			<td class="query">
				<select name="disallow" multiple="multiple">
					<c:if test="${fn:containsIgnoreCase(disallow, \"all\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="all" ${selected} ><fmt:message key="addiax.all"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"ulaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="ulaw" ${selected} >ulaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"alaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="alaw" ${selected} >alaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g723\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="g723" ${selected} >g723</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g726\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g726" ${selected} >g726</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"g729\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g729" ${selected} >g729</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(disallow, \"gsm\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="gsm" ${selected} >gsm</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${fn:containsIgnoreCase(disallow, \"speex\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >speex</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.allow"/></td>
			<td class="query">
				<select name="allow" multiple="multiple">
					<c:if test="${fn:containsIgnoreCase(allow, \"all\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="all" ${selected} ><fmt:message key="addiax.all"/></option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"ulaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="ulaw" ${selected} >ulaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"alaw\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="alaw" ${selected} >alaw</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g723\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="g723" ${selected} >g723</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g726\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g726" ${selected} >g726</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"g729\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="g729" ${selected} >g729</option>
					<c:set var="selected" value=""/>

					<c:if test="${fn:containsIgnoreCase(allow, \"gsm\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="gsm" ${selected} >gsm</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${fn:containsIgnoreCase(allow, \"speex\")}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="speex" ${selected} >speex</option>
					<c:set var="selected" value=""/>
				</select>
				<img src="../statistics/up.gif" alt="Move Up" onclick="moveOptionsUp()" />
				<img src="../statistics/down.gif" alt="Move Down" onclick="moveOptionsDown()" />
			</td>
			<td class="query"/>
		</tr>
		
		<tr class="plain">
			<td class="label"><fmt:message key="addiax.type"/></td>
			<td class="query">
				<select name="type">
					<c:if test="${empty type or type eq \"friend\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="friend"  ${selected}>friend</option>
					<c:set var="selected" value=""/>
					
					<c:if test="${empty type or type eq \"peer\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>
					<option value="peer" ${selected} >peer</option>
					<c:set var="selected" value=""/>

					<c:if test="${empty type or type eq \"user\"}">
						<c:set var="selected" value="selected=\"selected\""/>
					</c:if>					
					<option value="user" ${selected} >user</option>
					<c:set var="selected" value=""/>
				</select>
			</td>
			<td class="query"/>
		</tr>
		<tr class="plain">
			<td class="query"colspan="3">
				<c:choose>
					<c:when test="${empty name}">
						<fmt:message key="submit" var="submit"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="save" var="submit"/>
					</c:otherwise>
				</c:choose>
				<input  class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
				&nbsp;&nbsp; 
				<fmt:message key="reset" var="reset"/>
				<input class="boton" type="reset" value="${reset}" align="middle"/>
				<c:set var="submit" value=""/>
				<c:set var="reset" value=""/>
			</td>
		</tr>
	</table>
	<c:if test="${not empty param.id}">
		<input type="hidden" name="oldName" value="${param.id}" />
	</c:if>
</form>