<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>

<fmt:bundle basename="campaigns">
  <fmt:message key="addcampaign.validations.name.required" var="valnamereq"/>
  <fmt:message key="addcampaign.validations.popup.required" var="valpopupreq"/>
  <fmt:message key="addcampaign.validations.maxretries.invalid" var="valmaxretries"/>
  <fmt:message key="addcampaign.validations.retrytime.invalid" var="valretrytime"/>
  <fmt:message key="addcampaign.validations.scheduleTime.invalid" var="valscheduletime"/>
  <fmt:message key="addcampaign.validations.timeCalls.invalid" var="valtimecalls"/>
  <fmt:message key="addcampaign.validations.maxQueueSize.invalid" var="valqueuesize"/>
  <fmt:message key="addcampaign.validations.wrapuptime.invalid" var="valwrapuptime"/>

  <script type="text/javascript">
  <!--
    function validateOnSubmit() {
   
      if (!validatePresent(document.forms.formulario.name, 'inf_name')) {
      	alert("${valnamereq}");
      	return false;
      }
      if (!validatePresent(document.forms.formulario.popup, 'inf_popup')) {
      	alert("${valpopupreq}");
      	return false;
      }
   
      if (!validateNr(document.forms.formulario.maxRetries, 'inf_maxRetries', true)) {
      	alert("${valmaxretries}");
      	return false;
      }
   
      if (!validateNr(document.forms.formulario.retryTime, 'inf_retryTime', true)) {
      	alert("${valretrytime}");
      	return false;
      }
   
    if (!validateNr(document.forms.formulario.scheduleTime, 'inf_scheduleTime', true)) {
      	alert("${valscheduletime}");
      	return false;
      }
   
    if (!validateNr(document.forms.formulario.maxQueueSize, 'inf_maxQueueSize', false)) {
      	alert("${valqueuesize}");
      	return false;
      }
      
      if (!validateNr(document.forms.formulario.wrapupTime, 'inf_wrapuptime', false)) {
      	alert("${valwrapuptime}");
      	return false;
      }
      
      return true;
    };
    	
  //-->
  </script>

	<div id="right">
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		<c:choose>
			<c:when test="${not empty param.id}">
				<h2><fmt:message key="addcampaign.stats" /></h2>

				<c:choose>
					<c:when test="${sessionScope.fast}">
						<sql:query var="rsDisp1" dataSource="jdbc/callcenterRO">
							SELECT count(distinct c.id) AS count
							FROM clientes_extrainfo c
							INNER JOIN clientes cl USING (id)
							INNER JOIN campanias camp ON c.id_campania = camp.id
							INNER JOIN (
								SELECT l.id_cliente, l.telefono, l.id_campania, l.fecha, IF(l.resultado = -4, 2, 10) AS retry, x.count
								FROM (
									SELECT id_cliente, telefono, id_campania, max(fecha) AS fecha, count(*) AS count
									FROM llamadas
									WHERE id_campania = ${param.id}
									GROUP BY id_cliente, telefono
								) AS x INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.fecha = l.fecha
							) AS l ON l.id_cliente = c.id AND l.id_campania = camp.id
							WHERE llamar = 1 AND c.id_campania = ${param.id} AND count < max_retries AND fecha + INTERVAL retry HOUR < NOW()
						</sql:query>
					</c:when>
					<c:otherwise>
						<sql:query var="rsDisp1" dataSource="jdbc/callcenterRO">
							SELECT count(distinct c.id) AS count
							FROM clientes_extrainfo c
							INNER JOIN clientes cl USING (id)
							INNER JOIN campanias camp ON c.id_campania = camp.id
							INNER JOIN (
								SELECT id_cliente, telefono, max(fecha) AS fecha, count(*) AS count
								FROM llamadas
								WHERE id_campania = ${param.id}
								GROUP BY id_cliente, telefono
							) AS l ON l.id_cliente = c.id
							WHERE llamar = 1 AND c.id_campania = ${param.id} AND count < max_retries AND fecha + INTERVAL retry_time MINUTE < NOW()
						</sql:query>
					</c:otherwise>
				</c:choose>

				<sql:query var="rsCount" dataSource="jdbc/callcenterRO">
					SELECT
						COUNT(*) AS count,
						IF(COUNT(*) > 0, SUM(IF(fecha_actualizado > NOW() - INTERVAL 5 MINUTE, 1, 0)), 0) AS ultimos5,
						IF(COUNT(*) > 0, SUM(IF(llamar = 0,1,0)), 0) AS terminados
					FROM clientes_extrainfo c
					WHERE c.id_campania = ${param.id}
				</sql:query>

				<sql:query var="rsCall" dataSource="jdbc/callcenterRO">
					SELECT
						COUNT(*) AS llamados,
						IF(COUNT(*) > 0, SUM(l.total), 0) AS total
					FROM clientes_extrainfo c
					INNER JOIN (
						SELECT id_cliente, count(*) AS total
						FROM llamadas
						WHERE id_campania = ${param.id}
						GROUP BY id_cliente
					) AS l ON l.id_cliente = c.id
					WHERE c.id_campania = ${param.id}
				</sql:query>

				<sql:query var="rsDisp2" dataSource="jdbc/callcenterRO">
					SELECT count(distinct c.id) AS count
					FROM clientes_extrainfo c
					WHERE llamar = 1 AND NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id) AND id_campania = ${param.id}
				</sql:query>

				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="addcampaigns.loaded" /></th>
						<th><fmt:message key="addcampaigns.called" /></th>
						<th><fmt:message key="addcampaigns.nocalled" /></th>
						<th><fmt:message key="addcampaigns.terminated" /></th>
						<th><fmt:message key="addcampaigns.available" /></th>
						<th><fmt:message key="addcampaigns.total" /></th>
						<th><fmt:message key="addcampaigns.lastfive" /></th>
					</tr>
					<tr class="odd">
						<td class="data">${rsCount.rows[0].count}</td>
						<td class="data">${rsCall.rows[0].llamados}</td>
						<td class="data">${rsCount.rows[0].count - rsCall.rows[0].llamados}</td>
						<td class="data">${rsCount.rows[0].terminados}</td>
						<td class="data">${rsDisp1.rows[0].count + rsDisp2.rows[0].count}</td>
						<td class="data">${rsCall.rows[0].total}</td>
						<td class="data">${rsCount.rows[0].ultimos5}</td>
					</tr>
				</table>
				   
				<fmt:message key="addcampaign.config" var="title"/>
			</c:when>
			<c:otherwise>
				<fmt:message key="addcampaign.edit" var="title"/>
			</c:otherwise>
		</c:choose>

		<c:if test="${not sessionScope.fast or sessionScope.role eq 'admin'}">
		<h2><c:out value="${title}"/></h2>
		<c:choose>
			<c:when test="${(empty param.morning)}">
				<sql:query var="rsTime" dataSource="jdbc/ipcontactRO">
					SELECT *
					FROM time_range
					WHERE begin != end
				</sql:query>
				
				<sql:query var="rsDea" dataSource="jdbc/ipcontactRO">
					SELECT id 
					FROM time_range 
					WHERE begin = end
				</sql:query>
				
				<c:choose>
					<c:when test="${sessionScope.role eq 'admin'}">
						<sql:query var="rsPrefix" dataSource="jdbc/callcenterRO">
							SELECT * 
							FROM prefijos
						</sql:query>
					</c:when>
					<c:when test="${sessionScope.role eq 'supervisor'}">
						<sql:query var="rsPrefix" dataSource="jdbc/callcenterRO">
							SELECT prefijos.nombre AS nombre, prefijo 
							FROM prefijos 
							INNER JOIN prefijos_usuarios ON prefijos_usuarios.nombre = prefijos.nombre 
							WHERE usuario = '${sessionScope.username}'
						</sql:query>
					</c:when>
				</c:choose>
						
				<c:choose>
					<c:when test="${not empty param.id}">
						<sql:query var="rsCamp" dataSource="jdbc/callcenterRO">
							SELECT * 
							FROM campanias
							WHERE id = '${param.id}'
						</sql:query>
						
						<sql:query var="rsOut" dataSource="jdbc/ipcontactRO">
							SELECT * 
							FROM outgoing_profile
							WHERE id = '${param.id}'
						</sql:query>
						
						<c:if test="${sessionScope.predictiveEnabled}">
							<sql:query var="rsQueue" dataSource="jdbc/ipcontactRO">
								SELECT wrapuptime
								FROM queue
								WHERE name = '${rsCamp.rows[0].info}'
							</sql:query>
						</c:if>
						
						<c:set var="name" value="${rsCamp.rows[0].info}"/>   
						<c:set var="enabled" value="${rsOut.rows[0].active}"/>
						<c:set var="popup" value="${rsOut.rows[0].url}"/>
						<c:set var="morning" value="${rsOut.rows[0].morning}"/>
						<c:set var="evening" value="${rsOut.rows[0].evening}"/>
						<c:set var="saturday" value="${rsOut.rows[0].saturday}"/>
						<c:set var="sunday" value="${rsOut.rows[0].sunday}"/>
						<c:set var="dedicated" value="${rsOut.rows[0].dedicated_agents}"/>
						<c:set var="prefix" value="${rsOut.rows[0].prefix}"/>
						<c:set var="maxRetries" value="${rsCamp.rows[0].max_retries}"/>
						<c:set var="retryTime" value="${rsCamp.rows[0].retry_time}"/>
						<c:set var="scheduleTime" value="${rsOut.rows[0].schedule_time}"/>
						<c:set var="spam" value="${rsOut.rows[0].spam}"/>
						<c:if test="${sessionScope.predictiveEnabled}">
							<c:set var="oldName" value="${rsCamp.rows[0].info}"/> 
							<c:set var="predictive" value="${rsOut.rows[0].predictive}"/>
							<c:set var="oldPredictive" value="${rsOut.rows[0].predictive}"/>
							<c:set var="timeCalls" value="${rsOut.rows[0].time_between_calls}"/>
							<c:set var="maxQueueSize" value="${rsOut.rows[0].predictive_max_queue_size}"/>
							<c:set var="welcomeMessage" value="${rsOut.rows[0].welcome_message}"/>
							<c:set var="wrapupTime" value="${rsQueue.rows[0].wrapuptime}"/>
						</c:if>
					</c:when>
					
					<c:otherwise>
						<c:set var="name" value=""/>
						<c:set var="oldName" value=""/> 
						<c:set var="enabled" value="true"/>
						<c:set var="popup" value=""/>
						<c:set var="morning" value=""/>
						<c:set var="evening" value=""/>
						<c:set var="saturday" value=""/>
						<c:set var="sunday" value=""/>
						<c:set var="dedicated" value="true"/>
						<c:set var="prefix" value=""/>
						<c:set var="maxRetries" value="3"/>
						<c:set var="retryTime" value="30"/>
						<c:set var="scheduleTime" value="15"/>
						<c:set var="spam" value="false"/>
						<c:if test="${sessionScope.predictiveEnabled}">
							<c:set var="oldName" value=""/> 
							<c:set var="predictive" value=""/>
							<c:set var="oldPredictive" value=""/>
							<c:set var="timeCalls" value=""/>
							<c:set var="maxQueueSize" value=""/>
							<c:set var="welcomeMessage" value=""/>
							<c:set var="wrapupTime" value=""/>
						</c:if>
					</c:otherwise>
				</c:choose>
				
				<form onsubmit="return validateOnSubmit()" method="post" action="addCampaign.jsp" name="formulario">
					<table class="query">
						<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.name" /></td>
							<td class="query">       				
							    <input type="text" name="name" size="20" maxlength="128" value="${name}" onchange="validatePresent(this, 'inf_name');"/>
							</td>
							<td class="query" id="inf_name"><c:if test="${empty name}"><fmt:message key="required" /></c:if></td>
				   		</tr>
				   		
						<sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT form
							FROM forms_metadata
							GROUP BY form
						</sql:query>
		
						<c:if test="${empty param.id}">
							<tr class="plain">
							    <td class="query"><fmt:message key="addcampaign.form" /></td>
							    <td class="query">       				
								<select name="form">
									<option value=""><fmt:message key="none" /></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.form}">${row.form}</option>
									</c:forEach>
								</select> 
							    </td>
							    <td class="query" id="inf_name"/>
					   		</tr>
				   		</c:if>
				   		
				   		<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.prefix" /></td>
							<td class="query">       				
								<select name="prefix">
									<option value=""><fmt:message key="none" /></option>
									<c:forEach var="row" items="${rsPrefix.rows}">
										<c:if test="${row.prefijo eq prefix}">
											<c:set var="selected" value="selected=\"selected\""/>
										</c:if>
										<option value="${row.prefijo}" ${selected}>${row.nombre}</option>
										<c:set var="selected" value=""/>
									</c:forEach>
								</select> 
							</td>
							<td class="query"></td>
				   		</tr>
				   		
						<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.url" /></td>
							<td class="query">       				
							    <input type="text" name="popup" size="50" maxlength="100" value="${popup}" onchange="validatePresent(this, 'inf_popup');"/>
							</td>
							<td class="query" id="inf_popup"><c:if test="${empty popup}"><fmt:message key="required" /></c:if></td>
				   		</tr>
				   		
						<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.morning" /></td>
							<td class="query">       				
								<select name="morning">
									<c:forEach var="row" items="${rsTime.rows}">
										<c:if test="${row.id eq morning}">
											<c:set var="selected" value="selected=\"selected\""/>
										</c:if>
										<option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
										<c:set var="selected" value=""/>
									</c:forEach>
									<c:if test="${rsDea.rows[0].id eq morning}">
										<c:set var="selected" value="selected=\"selected\""/>
									</c:if>
									<option value="${rsDea.rows[0].id}" ${selected}><fmt:message key="addcampaign.deactivated"/></option>
									<c:set var="selected" value=""/>
								</select> 
							</td>
							<td class="query"></td>
				   		</tr>
						
						<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.evening" /></td>
							<td class="query">       				
								<select name="evening">
									<c:forEach var="row" items="${rsTime.rows}">
										<c:if test="${row.id eq evening}">
											<c:set var="selected" value="selected=\"selected\""/>
										</c:if>
										<option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
										<c:set var="selected" value=""/>
									</c:forEach>
									<c:if test="${rsDea.rows[0].id eq evening}">
										<c:set var="selected" value="selected=\"selected\""/>
									</c:if>
									<option value="${rsDea.rows[0].id}" ${selected}><fmt:message key="addcampaign.deactivated"/></option>
									<c:set var="selected" value=""/>
								</select> 
							</td>
							<td class="query"></td>
				   		</tr>
					
						<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.saturday" /></td>
							<td class="query">       				
								<select name="saturday">
									<c:forEach var="row" items="${rsTime.rows}">
										<c:if test="${row.id eq saturday}">
											<c:set var="selected" value="selected=\"selected\""/>
										</c:if>
										<option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
										<c:set var="selected" value=""/>
									</c:forEach>
									<c:if test="${rsDea.rows[0].id eq saturday}">
										<c:set var="selected" value="selected=\"selected\""/>
									</c:if>
									<option value="${rsDea.rows[0].id}" ${selected}><fmt:message key="addcampaign.deactivated"/></option>
									<c:set var="selected" value=""/>
								</select> 
							</td>
							<td class="query"></td>
				   		</tr>
				   		
				   		<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.sunday" /></td>
							<td class="query">       				
								<select name="sunday">
									<c:forEach var="row" items="${rsTime.rows}">
										<c:if test="${row.id eq sunday}">
											<c:set var="selected" value="selected=\"selected\""/>
										</c:if>
										<option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
										<c:set var="selected" value=""/>
									</c:forEach>
									<c:if test="${rsDea.rows[0].id eq sunday}">
										<c:set var="selected" value="selected=\"selected\""/>
									</c:if>
									<option value="${rsDea.rows[0].id}" ${selected}><fmt:message key="addcampaign.deactivated"/></option>
									<c:set var="selected" value=""/>
								</select> 
							</td>
							<td class="query"></td>
				   		</tr>
				   		
						<tr class="plain">
							<td class="query"><fmt:message key="addcampaign.maxRetries"/></td>
							<td class="query">       				
							    <input type="text" name="maxRetries" size="5" value="${maxRetries}" onchange="validateNr(this, 'inf_maxRetries', true);"/>
							</td>
							<td class="query" id="inf_maxRetries"></td>
						</tr>

						<tr class="plain">
							<td class="query"><fmt:message key="addcampaign.retryTime"/></td>
							<td class="query">       				
							    <input type="text" name="retryTime" size="5" value="${retryTime}" onchange="validateNr(this, 'inf_retryTime', true);"/>
							</td>
							<td class="query" id="inf_retryTime"></td>
						</tr>

						<tr class="plain">
							<td class="query"><fmt:message key="addcampaign.scheduleTime"/></td>
							<td class="query">       				
							    <input type="text" name="scheduleTime" size="5" value="${scheduleTime}" onchange="validateNr(this, 'inf_scheduleTime', true);"/>
							</td>
							<td class="query" id="inf_scheduleTime"></td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="addcampaign.enabled" /></td>
							<td class="query">
								<c:if test="${enabled}">
									<c:set var="checked" value="checked=\"checked\""/>
								</c:if>
								<input type="checkbox" name="enabled" ${checked}/>
								<c:set var="checked" value=""/>
							</td>
							<td class="query"/>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="addcampaign.dedicated" /></td>
							<td class="query">
								<c:if test="${dedicated}">
									<c:set var="checked" value="checked=\"checked\""/>
								</c:if>
								<input type="checkbox" name="dedicated" ${checked}/>
								<c:set var="checked" value=""/>
							</td>
							<td class="query"/>
						</tr>
						
						<c:if test="${sessionScope.predictiveEnabled}">
							<tr class="plain">
								<td class="query"><fmt:message key="addcampaign.predictive" /></td>
								<td class="query">
									<c:if test="${predictive}">
										<c:set var="checked" value="checked=\"checked\""/>
									</c:if>
									<input type="checkbox" name="predictive" ${checked}/>
									<c:set var="checked" value=""/>
								</td>
								<td class="query"/>
							</tr>
							
							<tr class="plain">
					   			<td class="query"><fmt:message key="addcampaign.timeBetweenCalls"/></td>
								<td class="query">       				
								    <input type="text" name="timeCalls" size="5" value="${timeCalls}" />
								</td>
								<td class="query" id="inf_calls"><fmt:message key="addcampaign.predictiveOnly"/></td>
				   			</tr>

							<tr class="plain">
					   		<td class="query"><fmt:message key="addcampaign.maxQueueSize"/></td>
								<td class="query">       				
								   <input type="text" name="maxQueueSize" size="5" value="${maxQueueSize}" onchange="validateNr(this, 'inf_maxQueueSize', false);"/>
								</td>
								<td class="query" id="inf_maxQueueSize"><fmt:message key="addcampaign.predictiveOnly"/></td>
				   		</tr>

							<tr class="plain">
					   		<td class="query"><fmt:message key="addcampaign.welcomeMessage"/></td>
								<td class="query">       				
								   <input type="text" name="welcomeMessage" size="20" maxlength="128" value="${welcomeMessage}"/>
								</td>
								<td class="query"><fmt:message key="addcampaign.predictiveOnly"/></td>
				   		</tr>
				   			
				   		<tr class="plain">
				   			<td class="query"><fmt:message key="addcampaign.wrapuptime"/></td>
				   			<td class="query">
				   				<input type="text" name="wrapupTime" size="5" value="${wrapupTime}" onchange="validateNr(this, 'inf_wrapuptime', false);"/>
				   			</td>
				   			<td class="query" id="inf_wrapuptime"><fmt:message key="addcampaign.predictiveOnly"/></td>
				   		</tr>
				   					   			
						</c:if>
					<c:choose>
						<c:when test="${empty param.id}">
							<tr class="plain">
								<td class="query" colspan="3">
                  <div class="right">
								    <fmt:message key="submit" var="submit"/>
								    <input class="boton" type="submit" value="${submit}" align="middle"/> 
								    <c:set var="submit" value=""/>
								    <fmt:message key="reset" var="reset"/>
								    <input class="boton" type="reset" value="${reset}" align="middle"/>
								    <c:set var="reset" value=""/>
                  </div>
								</td>
							</tr>
						</c:when>
						<c:otherwise>
							<tr class="plain">
								<td class="query" colspan="3">
                  <div class="right">
								    <fmt:message key="save" var="save"/>
								    <input class="boton" type="submit" value="${save}" align="middle"/>
								    <c:set var="save" value=""/>
								    <fmt:message key="reset" var="reset"/>
								    <input class="boton" type="reset" value="${reset}" align="middle"/>
								    <c:set var="reset" value=""/>
                  </div>
								</td>
							</tr>
						</c:otherwise>
					</c:choose>
        </table>
				<c:if test="${not empty param.id}">
					<h2><fmt:message key="addcampaign.fields" /></h2>
					
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT * FROM campaign_forms_metadata
						WHERE campaign = ${param.id}
						ORDER BY orden
					</sql:query>
		
					<c:choose>
						<c:when test="${not empty rs.rows}">
							<table class="data">	
								<tr class="tit">
									<th><fmt:message key="addcampaign.field" /></th>
									<th><fmt:message key="addcampaign.value" /></th>
									<th><fmt:message key="addcampaign.length" /></th>
									<th><fmt:message key="addcampaign.options" /></th>
								</tr>
					
								<c:forEach var="row" varStatus="stat" items="${rs.rows}">
									<c:choose>
										<c:when test="${stat.count % 2 == 0}">
											<tr class="even">
										</c:when>
										<c:otherwise>
											<tr class="odd">
										</c:otherwise>
									</c:choose>	
									<td class="data">${row.campo}</td>
									<td class="data">${row.valor}</td>
									<td class="data">${row.largo}</td>
									<td class="data">
										${row.opciones}
										<c:if test="${empty row.opciones}">
											<fmt:message key="none" />
										</c:if>
									</td>
								</tr>
								</c:forEach>
							</table>
						</c:when>
						<c:otherwise>
              <table class="data">	
                <tr class="data">
                  <td><fmt:message key="addcampaign.empty" /></td>
                </tr>
              </table>
						</c:otherwise>
					</c:choose>
				</c:if>
			
				<input type="hidden" name="fieldSize"/>
				<input type="hidden" name="id" value="${param.id}"/>
				<input type="hidden" name="fieldSize2" value="${fieldSize}"/>

				<c:if test="${sessionScope.predictiveEnabled}">
				    <input type="hidden" name="oldName" value="${oldName}"/>
				    <input type="hidden" name="oldPredictive" value="${oldPredictive}"/>
				</c:if>

        <br/>
        <br/>

        </form>
				<c:if test="${not spam}">
				  <c:if test="${not empty param.id}">
					<form method="post" action="delCampaignResult.jsp" name="deleteForm" target="_self">
					  <input type="hidden" name="id"/>
					  <input type="hidden" name="campaign" value="${param.id}"/>
					</form>
					<form method="post" action="addResult.jsp" name="campaign_results">
					  <h2><fmt:message key="callresults.callresults" /></h2>
						<sql:query var="rs" dataSource="jdbc/callcenterRO">
						  SELECT * FROM campaign_results, llamadas_resultados
						  WHERE campaign = ${param.id} AND result = id
						</sql:query>
					  <c:choose>
						<c:when test="${not empty rs.rows}">
						  <table class="data">
							<tr class="tit">
							  <th><fmt:message key="callresults.value" /></th>
							  <th><fmt:message key="callresults.recall" /></th>
							  <th/>
							</tr>

							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
							  <c:choose>
								<c:when test="${stat.count % 2 == 0}">
								  <tr class="even">
								</c:when>
								<c:otherwise>
								  <tr class="odd">
								</c:otherwise>
							  </c:choose>
							  <td class="data">${row.valor}</td>
							  <c:choose>
								<c:when test="${row.recall}">
								  <td class="data"><fmt:message key="yes"/></td>
								</c:when>
								<c:otherwise>
								  <td class="data"><fmt:message key="no"/></td>
								</c:otherwise>
							  </c:choose>
							  <td class="data">
								<fmt:message key="callresults.delete.question" var="question"/>
								<a class="link" href="javascript:del('${row.id}', '${question}')">
								  <fmt:message key="delete" />
								</a>
								<c:set var="question" value=""/>
							  </td>
							</tr>
							</c:forEach>
						  </table>
						</c:when>
						<c:otherwise>
						  <table class="data">
							<tr class="error">
							  <td><fmt:message key="callresults.empty" /></td>
							</tr>
						  </table>
						</c:otherwise>
					  </c:choose>
					  <br/>
					  <br/>
					  <sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT * FROM llamadas_resultados WHERE id > 0
					  </sql:query>
					  <table class="data">
						<tr class="plain">
						  <td class="query"><fmt:message key="callresults.addcallresult" /></td>
						  <td class="query">
							<input type="hidden" name="campaign" value="${param.id}"/>
							<select name="result">
							  <c:forEach var="row" items="${rs.rows}">
								<option value="${row.id}">${row.valor}</option>
							  </c:forEach>
							</select>
						  </td>
						  <td class="query"></td>
						</tr>
						<tr class="plain">
						  <td class="query" colspan="3">
							<div class="right">
							  <fmt:message key="callresults.asociate" var="asociate"/>
							  <input class="boton" type="submit" value="${asociate}" align="middle"/>
							  <c:set var="asociate" value=""/>
							</div>
						  </td>
						</tr>
					  </table>
					</form>
				  </c:if>
				</c:if>
				
				<br/>
				<br/>
				
				<c:if test="${not empty param.id}">
					<h2><fmt:message key="labelpriority.addpriority"/></h2>
					<sql:query var="rsLabel" dataSource="jdbc/callcenterRO">
						SELECT * FROM etiquetas_prioridad 
						WHERE id_campania = ${param.id}
					</sql:query>
						
					<c:choose>
						<c:when test="${not empty rsLabel.rows}">
							<table class="data">
								<tr class="tit">
									<th><fmt:message key="labelpriority.label" /></th>
									<th><fmt:message key="labelpriority.priority"/></th>
								</tr>
								<c:forEach var="row" varStatus="stat" items="${rsLabel.rows}">
									<c:choose>
										<c:when test="${stat.count % 2 == 0}">
								  			<tr class="even">
										</c:when>
										<c:otherwise>
								  			<tr class="odd">
										</c:otherwise>
							  		</c:choose>
							  		<td class="data">${row.etiqueta}</td>
							  		<td class="data">${row.priority}</td>
							  	</c:forEach>
							  </table>
							  <br/>
							  <br/>
							  <form  method="post" action="addPriority.jsp" name="formulario2">
							  		<input type="hidden" name="campaign" value="${param.id}"/>
							  		<table class="query">
										<tr class="plain">
											<td class="query"><fmt:message key="labelpriority.label"/>:</td>
											<td class="query">
												<select name="etiqueta">
													<c:forEach var="row" items="${rsLabel.rows}">
														<option value="${row.etiqueta}">${row.etiqueta}</option>
													</c:forEach>
												</select>
											</td>
											<td class="query"><fmt:message key="labelpriority.priority"/>:</td>
											<td class="query"><input type="text" size="2" value="0" name="priority" onKeyPress="return NumOnly(event)"/></td>
											<td class="query" colspan="2"><fmt:message key="add" var="add"/>
												<input class="boton" type="submit" name="submit" value="${add}"/>
												<c:set var="add" value=""/>
											</td>
										</tr>	
									</table>
								</form>
							</c:when>
							<c:otherwise>
						  		<table class="data">
									<tr class="error">
							  			<td><fmt:message key="labelpriority.empty"/></td>
									</tr>
						  		</table>
							</c:otherwise>
					  	</c:choose>
					</c:if>			
			</c:when>
			
			<c:otherwise>
				<jsp:useBean id="camp" class="ipcontact.campaigns.AddCampaign" scope="page">
					<c:choose>
						<c:when test="${not empty param.id}">
							<c:set target="${camp}" property="id" value="${param.id}"/>
						</c:when>
						<c:otherwise>
							<c:set target="${camp}" property="id" value="-1"/>
						</c:otherwise>
					</c:choose>
					<c:set target="${camp}" property="name" value="${param.name}"/>
					<c:set target="${camp}" property="form" value="${param.form}"/>
					<c:set target="${camp}" property="popup" value="${param.popup}"/>
					<c:set target="${camp}" property="morning" value="${param.morning}"/>
					<c:set target="${camp}" property="evening" value="${param.evening}"/>
					<c:set target="${camp}" property="saturday" value="${param.saturday}"/>
					<c:set target="${camp}" property="sunday" value="${param.sunday}"/>
					<c:set target="${camp}" property="enabled" value="${param.enabled}"/>
					<c:set target="${camp}" property="dedicated" value="${param.dedicated}"/>
					<c:set target="${camp}" property="prefix" value="${param.prefix}"/>
					<c:set target="${camp}" property="maxRetries" value="${param.maxRetries}"/>
					<c:set target="${camp}" property="retryTime" value="${param.retryTime}"/>
					<c:set target="${camp}" property="scheduleTime" value="${param.scheduleTime}"/>
					<c:set target="${camp}" property="network" value="${sessionScope.connection}"/>
					<c:if test="${sessionScope.predictiveEnabled}">
						<c:set target="${camp}" property="predictive" value="${param.predictive}"/>
						<c:set target="${camp}" property="timeBetweenCalls" value="${param.timeCalls}"/>
						<c:set target="${camp}" property="oldName" value="${param.oldName}"/>
						<c:set target="${camp}" property="oldPredictive" value="${param.oldPredictive}"/>
						<c:set target="${camp}" property="maxQueueSize" value="${param.maxQueueSize}"/>
						<c:set target="${camp}" property="welcomeMessage" value="${param.welcomeMessage}"/>
						<c:set target="${camp}" property="wrapupTime" value="${param.wrapupTime}"/>
					</c:if>
				</jsp:useBean>
				
				<c:set var="result" value="${camp.result}"/>
				
				<c:choose>
					<c:when test="${result eq \"updated\"}">
						<fmt:message key="addcampaign.updated" var="message">
							<fmt:param value="${param.name}"/>
						</fmt:message>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					</c:when>
					<c:when test="${result eq \"added\"}">
						<fmt:message key="addcampaign.added" var="message">
							<fmt:param value="${param.name}"/>
						</fmt:message>
						<c:set var="message" value="${message}" scope="session"/>
						<c:set var="messageType" value="ok" scope="session"/>
					</c:when>
					<c:otherwise>
						<c:set var="message" value="${result}" scope="session"/>			
						<c:set var="messageType" value="error" scope="session"/>
					</c:otherwise>
				</c:choose>
				<c:redirect url="addCampaign.jsp?id=${param.id}"/>
			</c:otherwise>
		</c:choose>
		</c:if>
	</div>
</fmt:bundle>
</body>
</html>
