<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<%@ page import="org.apache.taglibs.standard.tag.common.sql.ResultImpl" %>
<fmt:bundle basename="campaigns">
    <div id="right">
        <c:if test="${not empty sessionScope.message}">
            <c:set var="class" value="error"/>
            <c:if test="${sessionScope.messageType eq \"error\"}">
                <c:set var="class" value="error"/>
            </c:if>
            <c:if test="${sessionScope.messageType eq \"ok\"}">
                <c:set var="class" value="ok"/>
            </c:if>
            <div class="${class}">
                <c:set var="class" value=""/>
                ${sessionScope.message}
                <c:set var="message" value="" scope="session"/>
            </div>
        </c:if>
        <c:choose>
            <c:when test="${not empty param.id}">
		<h2><fmt:message key="addcampaign.stats" /></h2>

        <sql:query var="rs" dataSource="jdbc/callcenterRO">
            SELECT
                COUNT(*) AS count,
                COUNT(l.id_cliente) AS llamados,
                COUNT(*) - COUNT(l.id_cliente) AS sin_llamar,
                SUM(IF(fecha_actualizado > NOW() - INTERVAL 5 MINUTE, 1, 0)) AS ultimos5,
                SUM(IF(llamar = 0,1,0)) AS terminados,
                IF(COUNT(l.total) > 0, SUM(l.total), 0) AS total
            FROM clientes_extrainfo c
            INNER JOIN campanias ca ON ca.id = c.id_campania
            LEFT JOIN (
                SELECT l.id_cliente, l.id_campania, l.fecha, IF(l.resultado = -4, 2, 10) AS retry, total
                FROM (
                    SELECT id_cliente, id_campania, max(fecha) AS fecha, count(*) AS total
                    FROM llamadas
                    WHERE id_campania = ${param.id}
                    GROUP BY id_cliente
                    ORDER BY NULL
                ) AS x INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.fecha = l.fecha
            ) AS l ON l.id_cliente = c.id
            WHERE c.id_campania = ${param.id}
        </sql:query>

        <sql:query var="rsDisp" dataSource="jdbc/callcenterRO">
            SELECT count(distinct c.id) AS count
            FROM clientes_extrainfo c
            INNER JOIN clientes cl USING (id)
            INNER JOIN campanias camp ON c.id_campania = camp.id
            LEFT JOIN (
                SELECT l.id_cliente, l.telefono, l.id_campania, l.fecha, IF(l.resultado = -4, 2, 10) AS retry, x.count
                FROM (
                    SELECT id_cliente, telefono, id_campania, max(fecha) AS fecha, count(*) AS count
                    FROM llamadas
                    WHERE id_campania = ${param.id}
                    GROUP BY id_cliente, telefono
                ) AS x INNER JOIN llamadas AS l ON x.id_cliente = l.id_cliente AND x.id_campania = l.id_campania AND x.fecha = l.fecha
            ) AS l ON l.id_cliente = c.id AND l.id_campania = camp.id
            WHERE llamar = 1 AND c.id_campania = ${param.id} AND ((count < max_retries AND fecha + INTERVAL retry HOUR < NOW())
                OR (NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id AND id_campania = c.id_campania AND telefono = cl.telefono) OR
                (telefono2 <> '' AND NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id AND id_campania = c.id_campania AND telefono = telefono2)) OR
                (telefono3 <> '' AND NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id AND id_campania = c.id_campania AND telefono = telefono3)) OR
                (telefono4 <> '' AND NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id AND id_campania = c.id_campania AND telefono = telefono4)) OR
                (telefono5 <> '' AND NOT EXISTS (SELECT * FROM llamadas WHERE id_cliente = c.id AND id_campania = c.id_campania AND telefono = telefono5)))
            )
        </sql:query>

		<table class="data">	
			<tr class="tit">
				<th><fmt:message key="addcampaigns.loaded" /></th>
				<th><fmt:message key="addcampaigns.called" /></th>
				<th><fmt:message key="addcampaigns.nocalled" /></th>
				<th><fmt:message key="addcampaigns.terminated" /></th>
				<th><fmt:message key="addcampaigns.available" /></th>
				<th><fmt:message key="addcampaigns.lastfive" /></th>
			</tr>
			<tr class="odd">
				<td class="data">${rs.rows[0].count}</td>
				<td class="data">${rs.rows[0].llamados}</td>
				<td class="data">${rs.rows[0].sin_llamar}</td>
				<td class="data">${rs.rows[0].terminados}</td>
				<td class="data">${rsDisp.rows[0].count}</td>
				<td class="data">${rs.rows[0].ultimos5}</td>
			</tr>
		</table>

                <h2><fmt:message key="addspam.config" /></h2>
            </c:when>
            <c:otherwise>
                <h2><fmt:message key="addspam.edit" />:</h2>
            </c:otherwise>
        </c:choose>
        <c:choose>
            <c:when test="${(empty param.morning)}">        
                
                <sql:query var="rsTime" dataSource="jdbc/ipcontactRO">
                    SELECT *
                    FROM time_range
                </sql:query>
                
                <sql:query var="rsPrefix" dataSource="jdbc/callcenterRO">
                    SELECT *
                    FROM prefijos
                </sql:query>
            
                <c:choose>
                    <c:when test="${not empty param.id}">
                        <sql:query var="rsCamp" dataSource="jdbc/callcenterRO">
                            SELECT * 
                            FROM campanias
                            WHERE id = '${param.id}'
                        </sql:query>
                        
                        <sql:query var="rsOut" dataSource="jdbc/ipcontactRO">
                            SELECT * 
                            FROM outgoing_profile
                            WHERE id = '${param.id}'
                        </sql:query>
                        
                        <c:set var="name" value="${rsCamp.rows[0].info}"/>
                        <c:set var="enabled" value="${rsOut.rows[0].active}"/>
                        <c:set var="morning" value="${rsOut.rows[0].morning}"/>
                        <c:set var="evening" value="${rsOut.rows[0].evening}"/>
                        <c:set var="weekend" value="${rsOut.rows[0].weekend}"/>
                        <c:set var="prefix" value="${rsOut.rows[0].prefix}"/>
			<c:set var="maxCalls" value="${rsOut.rows[0].time_between_calls}"/>
			<c:set var="maxRetries" value="${rsCamp.rows[0].max_retries}"/>
			<c:set var="retryTime" value="${rsCamp.rows[0].retry_time}"/>
			<c:set var="scheduleTime" value="${rsOut.rows[0].schedule_time}"/>
			<c:set var="welcomeMessage" value="${rsOut.rows[0].welcome_message}"/>
                    </c:when>
                    
                    <c:otherwise>
                        <c:set var="name" value=""/>
                        <c:set var="enabled" value="true"/>
                        <c:set var="morning" value=""/>
                        <c:set var="evening" value=""/>
                        <c:set var="weekend" value=""/>
                        <c:set var="prefix" value=""/>
			<c:set var="maxCalls" value="1"/>
			<c:set var="maxRetries" value="3"/>
			<c:set var="retryTime" value="30"/>
			<c:set var="scheduleTime" value="15"/>
			<c:set var="welcomeMessage" value=""/>
                    </c:otherwise>
                </c:choose>
                
                <form onsubmit="return validateOnSubmit()" method="post" action="addSpam.jsp" name="formulario">
                    <table class="query">
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.name" /></td>
                            <td class="query">                      
                                <input type="text" name="name" size="20" maxlength="128" value="${name}" onchange="validatePresent(this, 'inf_name');"/>
                            </td>
                            <td class="query" id="inf_name"><c:if test="${empty name}"><fmt:message key="required" /></c:if></td>
                        </tr>
                        
                        <sql:query var="rs2" dataSource="jdbc/callcenterRO">
                            SELECT form
                            FROM forms_metadata
                            GROUP BY form
                        </sql:query>
        
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.prefix" /></td>
                            <td class="query">                      
                                <select name="prefix">
                                    <option value=""><fmt:message key="none" /></option>
                                    <c:forEach var="row" items="${rsPrefix.rows}">
                                        <c:if test="${row.prefijo eq prefix}">
                                            <c:set var="selected" value="selected=\"selected\""/>
                                        </c:if>
                                        <option value="${row.prefijo}" ${selected}>${row.nombre}</option>
                                        <c:set var="selected" value=""/>
                                    </c:forEach>
                                </select> 
                            </td>
                            <td class="query"></td>
                        </tr>
                        
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.morning" /></td>
                            <td class="query">                      
                                <select name="morning">
                                    <c:forEach var="row" items="${rsTime.rows}">
                                        <c:if test="${row.id eq morning}">
                                            <c:set var="selected" value="selected=\"selected\""/>
                                        </c:if>
                                        <option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
                                        <c:set var="selected" value=""/>
                                    </c:forEach>
                                </select> 
                            </td>
                            <td class="query"></td>
                        </tr>
                        
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.evening" /></td>
                            <td class="query">                      
                                <select name="evening">
                                    <c:forEach var="row" items="${rsTime.rows}">
                                        <c:if test="${row.id eq evening}">
                                            <c:set var="selected" value="selected=\"selected\""/>
                                        </c:if>
                                        <option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
                                        <c:set var="selected" value=""/>
                                    </c:forEach>
                                </select> 
                            </td>
                            <td class="query"></td>
                        </tr>
                    
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.weekend" /></td>
                            <td class="query">                      
                                <select name="weekend">
                                    <c:forEach var="row" items="${rsTime.rows}">
                                        <c:if test="${row.id eq weekend}">
                                            <c:set var="selected" value="selected=\"selected\""/>
                                        </c:if>
                                        <option value="${row.id}" ${selected}>${row.begin} - ${row.end}</option>
                                        <c:set var="selected" value=""/>
                                    </c:forEach>
                                </select> 
                            </td>
                            <td class="query"></td>
                        </tr>
        
                        <tr class="plain">
                            <td class="query"><fmt:message key="addspam.enabled" /></td>
                            <td class="query">
                                <c:if test="${enabled}">
                                    <c:set var="checked" value="checked=\"checked\""/>
                                </c:if>
                                <input type="checkbox" name="enabled" ${checked}/>
                                <c:set var="checked" value=""/>
                            </td>
                            <td class="query"/>
                        </tr>

			<tr class="plain">
                            <td class="query"><fmt:message key="addspam.maxcalls"/></td>
                            <td class="query">
				<input type="text" name="maxCalls" size="5" value="${maxCalls}" onchange="validateNr(this, 'inf_calls', true);"/>
                            </td>
                            <td class="query" id="inf_calls"/>
                        </tr>

			<tr class="plain">
				<td class="query"><fmt:message key="addcampaign.maxRetries"/></td>
				<td class="query">       				
				    <input type="text" name="maxRetries" size="5" value="${maxRetries}" onchange="validateNr(this, 'inf_maxRetries', true);"/>
				</td>
				<td class="query" id="inf_maxRetries"></td>
			</tr>

			<tr class="plain">
				<td class="query"><fmt:message key="addcampaign.retryTime"/></td>
				<td class="query">       				
				    <input type="text" name="retryTime" size="5" value="${retryTime}" onchange="validateNr(this, 'inf_retryTime', true);"/>
				</td>
				<td class="query" id="inf_retryTime"></td>
			</tr>

			<tr class="plain">
				<td class="query"><fmt:message key="addcampaign.scheduleTime"/></td>
				<td class="query">       				
				    <input type="text" name="scheduleTime" size="5" value="${scheduleTime}" onchange="validateNr(this, 'inf_scheduleTime', true);"/>
				</td>
				<td class="query" id="inf_scheduleTime"></td>
			</tr>

			<tr class="plain">
				<td class="query"><fmt:message key="addcampaign.welcomeMessage"/></td>
				<td class="query">       				
				    <input type="text" name="welcomeMessage" size="20" maxlength="128" value="${welcomeMessage}"/>
				</td>
				<td class="query"></td>
			</tr>
                    </table>
                    
                    <input type="hidden" name="id" value="${param.id}"/>
                    <br/>
                    <c:choose>
                        <c:when test="${empty param.id}">
                            <table class="query">
                                <tr class="plain">
                                    <td class="query">
                                        <fmt:message key="submit" var="submit"/>
                                        <input class="boton" type="submit" value="${submit}" align="middle"/> 
                                        <c:set var="submit" value=""/>
                                    </td>
                                    <td class="query" colspan="3">
                                        <fmt:message key="reset" var="reset"/>
                                        <input class="boton" type="reset" value="${reset}" align="middle"/>
                                        <c:set var="reset" value=""/>
                                    </td>
                                </tr>
                            </table>    
                        </c:when>
                        <c:otherwise>
                            <table class="query">
                                <tr class="plain">
                                    <td class="query">
                                        <fmt:message key="save" var="save"/>
                                        <input class="boton" type="submit" value="${save}" align="middle"/>
                                        <c:set var="save" value=""/>
                                    </td>
                                    <td class="query" colspan="3">
                                        <fmt:message key="reset" var="reset"/>
                                        <input class="boton" type="reset" value="${reset}" align="middle"/>
                                        <c:set var="reset" value=""/>
                                    </td>
                                </tr>
                            </table>    
                        </c:otherwise>
                    </c:choose>
                </form>
            </c:when>
            
            <c:otherwise>
                <%@ include file="../include/sql/outgoing_profile_fix_table.jsp" %>  
                <jsp:useBean id="camp" class="ipcontact.campaigns.AddSpam" scope="page">
                    <c:choose>
                        <c:when test="${not empty param.id}">
                            <c:set target="${camp}" property="id" value="${param.id}"/>
                        </c:when>
                        <c:otherwise>
                            <c:set target="${camp}" property="id" value="-1"/>
                        </c:otherwise>
                    </c:choose>
                    <c:set target="${camp}" property="name" value="${param.name}"/>
                    <c:set target="${camp}" property="morning" value="${param.morning}"/>
                    <c:set target="${camp}" property="evening" value="${param.evening}"/>
                    <c:set target="${camp}" property="weekend" value="${param.weekend}"/>
                    <c:set target="${camp}" property="enabled" value="${param.enabled}"/>
                    <c:set target="${camp}" property="prefix" value="${param.prefix}"/>
		    <c:set target="${camp}" property="maxCalls" value="${param.maxCalls}"/>
		    <c:set target="${camp}" property="maxRetries" value="${param.maxRetries}"/>
		    <c:set target="${camp}" property="retryTime" value="${param.retryTime}"/>
		    <c:set target="${camp}" property="scheduleTime" value="${param.scheduleTime}"/>
		    <c:set target="${camp}" property="welcomeMessage" value="${param.welcomeMessage}"/>
                    <c:set target="${camp}" property="network" value="${sessionScope.connection}"/>
                </jsp:useBean>
                
                <c:set var="result" value="${camp.result}"/>
                
                <c:choose>
                    <c:when test="${result eq \"updated\"}">
                        <fmt:message key="addspam.updated" var="message">
                            <fmt:param value="${param.name}"/>
                        </fmt:message>
                        <c:set var="message" value="${message}" scope="session"/>
                        <c:set var="messageType" value="ok" scope="session"/>
                    </c:when>
                    <c:when test="${result eq \"added\"}">
                        <fmt:message key="addspam.added" var="message">
                            <fmt:param value="${param.name}"/>
                        </fmt:message>
                        <c:set var="message" value="${message}" scope="session"/>
                        <c:set var="messageType" value="ok" scope="session"/>
                    </c:when>
                    <c:otherwise>
                        <c:set var="message" value="${result}" scope="session"/>            
                        <c:set var="messageType" value="error" scope="session"/>
                    </c:otherwise>
                </c:choose>
                <c:redirect url="addSpam.jsp?id=${param.id}"/>
            </c:otherwise>
        </c:choose>
    </div>
</fmt:bundle>
</html>