<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="campaigns">
	<div id="right">
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				<c:choose>
					<c:when test="${sessionScope.message eq \"addcampaign.delete.ok\"}">
						<fmt:message key="addcampaign.delete.ok">
							<fmt:param value="${sessionScope.deleted}"/>
						</fmt:message>
						<c:set var="deleted" value="" scope="session"/>
					</c:when>
					<c:otherwise>
						${sessionScope.message}
					</c:otherwise>
				</c:choose>
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<h2><fmt:message key="listcampaigns.title" /></h2>			
				
		<c:choose>
			<c:when test="${empty param.rows}">
				
				<form method="get" name="formulario" action="listCampaigns.jsp">		
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="listcampaigns.name" />:</td>
							<td class="query">
								<input name='name' type='text' size='40' maxlength="64"/>
							<td class="query">
								<select name="nameType">
									<option value="1"><fmt:message key="equals" /></option>
									<option value="2" selected="selected"><fmt:message key="contains" /></option>
									<option value="3"><fmt:message key="startswith" /></option>
									<option value="4"><fmt:message key="endswith" /></option>
								</select> 
							</td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="listcampaigns.results" />:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"></td>
						</tr>
						
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="listcampaigns.submit" var="submit"/>
								<input class="boton" type="submit" name="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<w:condition attribute="info" comparator="${param.nameType}" value="${param.name}"/>
					<c:if test="${sessionScope.role ne 'admin'}">
					    <w:condition condition="user_id = '${sessionScope.username}'"/>    
					</c:if>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">	
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
					    SELECT count(*) AS count 
					    FROM campanias 
					    INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile AS o ON info = queue
					    ${conds}
					</sql:query>
				    </c:when>
				    <c:otherwise>
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
					    SELECT count(*) AS count from (
							SELECT c.id
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile AS o ON info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users USING (queue)
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							${conds}
							GROUP BY c.id
					    ) AS x
					</sql:query>
				    </c:otherwise>
				</c:choose>
		
				<c:if test= "${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
				
				<%@ include file="../include/sql/outgoing_profile_fix_table.jsp" %>    
				<c:choose>
				    <c:when test="${sessionScope.role eq 'admin'}">				    
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT c.id, info, o.spam 
						FROM campanias c
						INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile AS o ON info = queue
						${conds}
						ORDER BY info
						LIMIT ${param.rows} OFFSET ${offset}
					</sql:query>
				    </c:when>
				    <c:otherwise>
					<sql:query var="rs" dataSource="jdbc/callcenterRO">
						SELECT c.id, info, o.spam 
						FROM campanias c
						INNER JOIN ${sessionScope.ipcontactTable}.outgoing_profile AS o ON info = queue
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users USING (queue)
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						${conds}
						GROUP BY c.id
						ORDER BY info
						LIMIT ${param.rows} OFFSET ${offset}
					</sql:query>
				    </c:otherwise>
				</c:choose>
				
				<form method="get" action="listCampaigns.jsp" name="jumpForm">
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
				
				<form method="post" action="delCampaign.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="offset" value="${offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>
				</form>
						
				<c:choose>
					<c:when test="${not empty rs.rows}">
						<table class="data">	
							<tr class="tit">
								<th><fmt:message key="listcampaigns.name" /></th>
								<th/>
								<c:if test="${sessionScope.role eq \"admin\"}">
									<th/>
								</c:if>
							</tr>
				
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>	
								<td class="data">${row.info}</td>	
								<td class="data">
								    <c:choose>
								        <c:when test="${row.spam}">
									    <a class="link" href="addSpam.jsp?id=${row.id}"><fmt:message key="edit" /></a>
									</c:when>
									<c:otherwise>
									    <a class="link" href="addCampaign.jsp?id=${row.id}"><fmt:message key="edit" /></a>
									</c:otherwise>
								    </c:choose>
								</td>
								<c:if test="${sessionScope.role eq \"admin\"}">
									<td class="data">
										<fmt:message key="listcampaigns.delete.question" var="question"/>
										<a class="link" href="javascript:del('${row.id}', '${question}')">
											<fmt:message key="delete" />
										</a>
										<c:set var="question" value=""/>
									</td>
								</c:if>
							</tr>
							</c:forEach>
						</table>
				
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
					</c:when>
					<c:otherwise>
						<p><fmt:message key="listcampaigns.empty" />.</p>
					</c:otherwise>
				</c:choose>
			</c:otherwise>	
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>

