<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<c:set var="ipcontactTable" value="voip02"/>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Formulário de campanha saliente</title>
	<link type="text/css" rel="stylesheet" href="include/style-cliente.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

	<script type="text/javascript" src="include/scripts.js"></script>
	<script type="text/javascript" src="include/checks.js"></script>
	<script type="text/JavaScript" src="calendar/scw.js"></script>
	<script type="text/JavaScript" src="calendar/current.js"></script>
</head>

<c:if test="${not empty param.cid and not (param.cid == 0)}">
	<sql:query var="rs" dataSource="jdbc/callcenter">
		SELECT nombre, apellido, direccion, email
		FROM clientes 
		WHERE id = ${param.id}
	</sql:query>

	<sql:query var="rsMetadata" dataSource="jdbc/callcenter">
		SELECT *
		FROM campaign_forms_metadata
		WHERE campaign = ${param.cid}
		ORDER BY orden
	</sql:query>
	
	<sql:query var="rsResultados" dataSource="jdbc/callcenter">
		SELECT *
		FROM campaign_results AS c, llamadas_resultados AS r
        WHERE c.campaign=${param.cid} AND c.result=r.id
	</sql:query>
	
	<c:choose>
		<c:when test="${not empty rsMetadata.rows}">
			<c:set var="select" value=", ${rsMetadata.rows[0].campo}"/>
	
			<c:forEach var="row2" begin="1" items="${rsMetadata.rows}">
				<c:set var="select" value="${select}, ${row2.campo}"/>
			</c:forEach>
			
			<sql:query var="rsPrev" dataSource="jdbc/callcenter">
				SELECT DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, valor, nuevo_tel, notas, first_name, last_name ${select}
				FROM llamadas m
				INNER JOIN llamadas_resultados l on resultado = l.id
				INNER JOIN ${ipcontactTable}.users on username = agente
				INNER JOIN datos${param.cid} d on d.id = m.id
				WHERE m.id_cliente = ${param.id} AND m.id_campania = ${param.cid}
			</sql:query>
		</c:when>
		<c:otherwise>			
			<sql:query var="rsPrev" dataSource="jdbc/callcenter">
				SELECT DATE_FORMAT(fecha, '%d/%m/%Y %T') AS fechaf, valor, nuevo_tel, notas, first_name, last_name
				FROM llamadas m
				INNER JOIN llamadas_resultados l on resultado = l.id
				INNER JOIN ${ipcontactTable}.users on username = agente
				WHERE m.id_cliente = ${param.id} AND m.id_campania = ${param.cid}
			</sql:query>
		</c:otherwise>
	</c:choose>
				
	<sql:query var="rsCampaign" dataSource="jdbc/callcenter">
		SELECT info 
		FROM campanias
		WHERE id = ${param.cid}
	</sql:query>
</c:if>

<body onBeforeUnLoad="unload2()">

<!--  EMPIEZA LA PÁGINA  -->
<h3>Chamada de ${rsCampaign.rows[0].info}</h3>
<div class="content">
	<form method="post" action="servlet/CallCenterSubmit" name="formulario">
		<table class="data">
			<tr>
				<th class="tit">Dados do cliente</th>
			</tr>
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>ID:</label>
										</td>
										<td class="query">
											<input type="text" size="10" maxlength="10" name="id"  id="id" value="${param.id}" />
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Dados: </label></td>
										<td class="warnquery">
											<label>válidos</label><input type="radio" class="radio" name="dato_invalido" value="0" checked="checked"/>
											<label>inválidos</label><input type="radio" class="radio" name="dato_invalido" value="1"/>
										</td>
										<td class="query"></td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label>Nome:</label>
										</td>
										<td class="query">
											<input type="text" size="20" maxlength="32" name="nombre" id="nombre" value="${rs.rows[0].nombre}"/>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label>CPF:</label>
										</td>
										<td class="query">
											<input type="text" size="20" maxlength="32" name="apellido" id="apellido" value="${rs.rows[0].apellido}">
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label for="tel">Telefone:</label>
										</td>
										<td class="query">
											<label>${param.clientPhone}</label>
                                            <input type="hidden"  name="tel" id="tel" value="${param.clientPhone}"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<br/>
			
		<c:if test="${not empty rsMetadata.rows}">
		<table class="data">
			<tr>
				<th class="tit">Extração de informação</th>
			</tr>	
			<c:forEach var="row" varStatus="stat" items="${rsMetadata.rows}">
				<tr>
					<td>
						<table>
							<tr>
								<td>
									<table class="query">
										<tr class="plain">
											<td class="querylabel">
												<label>
													${row.valor}
												</label>
											</td>
											<td class="query">
												<c:choose>
													<c:when test="${empty row.opciones}">
														<c:set var='largo' value='50'/>
														<c:if test='${largo > row.largo}'>
															<c:set var='largo' value='${row.largo}'/>
														</c:if>
														<input type="text" size="${largo}" maxlength="${row.largo}" name="${row.campo}">
													</c:when>
													<c:otherwise>
														<select name="${row.campo}">
															<c:forTokens var="data" items="${row.opciones}" delims=",">
																<option value="${data}">${data}</option>
															</c:forTokens>
														</select>
													</c:otherwise>
												</c:choose>																						
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</c:forEach>			
		</table>

		<br/>
		</c:if>

		<c:forEach var="row" varStatus="stat" items="${rsPrev.rowsByIndex}">
			<table class="data">
				<tr>
					<th class="tit">Chamada prévia de ${row[4]} ${row[5]} con fecha ${row[0]}</th>
				</tr>
				<tr>
					<td>					
						<table class="query">
							<tr class="plain">
								<td class="querylabel"><label>Resultado:</label></td>
								<td class="query">${row[1]}</td>
							</tr>
						</table>
					
						<table class="query">
							<tr class="plain">
								<td class="querylabel"><label>Novo telefone:</label></td>
								<td class="query">${row[2]}</td>
							</tr>
						</table>
											
						<table class="query">
							<tr class="plain">
								<td class="querylabel"><label>Notas:</label></td>
								<td class="query" width="100%">
									${row[3]}
								</td>
							</tr>
						</table>
									
						<c:forEach var="row2" varStatus="stat2" items="${rsMetadata.rows}">										
							<table class="query">
								<tr class="plain">
									<td class="querylabel"><label>${row2.valor}</label></td>
									<td class="query">
										${row[6 + stat2.index]}
									</td>
								</tr>
							</table>						
						</c:forEach>	
					</td>
				</tr>	
			</table>
		</c:forEach>
		
		<br/>

		<table class="data">
			<input type="hidden" name="uid" value="${param.uid}"/>
			<input type="hidden" name="cid" value="${param.cid}"/>
			<c:if test='${not empty param.agent}'>
				<input type="hidden" name="agent" value="${param.agent}"/>
			</c:if>
			<tr>
				<th class="tit">Avaliação da Chamada:</th>
			</tr>
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Resultado:</label></td>
										<td class="query">
											<select name="call_result">
												<option value="" selected="selected">Elegir..</option>
												<c:forEach var="row" varStatus="stat" items="${rsResultados.rows}">
													<option value="${row.id}">${row.valor}</option>
												</c:forEach>												
											</select>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Novo telefone:</label></td>
										<td class="query">
										<input type="text" size="20" maxlength="20" name="call_nuevo_tel" id="call_nuevo_tel"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Chamar novamente:</label></td>
										<td class="query">
											<input name="call_fecha" id="call_fecha" type="text" size="10"/>
											<input name="call_hora" id="call_hora" type="text" size="5"/>
											<img src="calendar/calendar.jpg" title="Calendario" alt="Calendario" onclick="scwShow(document.getElementById('call_fecha'),this);" />
										</td>
									</tr>
								</table>
							</td>
							<c:if test="${empty param.agent}">
								<sql:query var="agentName" dataSource="jdbc/ipcontact">
									SELECT first_name, last_name, user
									FROM users, agents 
									WHERE username = user
									ORDER BY first_name
								</sql:query>
								<td>
									<table class="query">
										<tr class="plain">
											<td class="querylabel"><label>Agente que chama:</label></td>
											<td class="query">
												<select name="agent">
													<c:forEach var="r" varStatus="stat" items="${agentName.rows}">
														<option value="${r.user}">${r.first_name} ${r.last_name}</option>
													</c:forEach>
												</select> 
											</td>
										</tr>
									</table>
								</td>
							</c:if>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Notas:</label></td>
										<td class="query" width="100%">
										<textarea cols="60" rows="3" name="call_notas"></textarea>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<br/>
		<table class="action">
		<input type="hidden" name="direccion" id="direccion" value="${rs.rows[0].direccion}"/>
		<input type="hidden" name="email" id="email" value="${rs.rows[0].email}"/>
		<input type="hidden" name="accion" value="fin"/>
			<tr>
				<td>
					<input class="boton" type="submit" name="submitFin"
		id="submitFin" value="Terminar" onClick="return enviarDatosCliente(this.form,this.form.accion.value);"/>
				</td>
				<td>
					<input class="boton" type="submit" name="submitCancel" id="submitCancel"
		value="Cancelar" onClick="return enviarDatosCliente(this.form,'cancelar');"/>
				</td>

		</table>

	</form>

</div>

	<c:if test="${!empty param.result}">
		<p>${param.result}</p>
	</c:if>
	
</body>
</html>
