<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title>Formulario de campaña entrante</title>
	<link type="text/css" rel="stylesheet" href="include/style-cliente.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

	<script type="text/javascript" src="include/scripts.js"></script>
	<script type="text/javascript" src="include/checks.js"></script>
	<script type="text/JavaScript" src="calendar/scw.js"></script>
	<script type="text/JavaScript" src="calendar/current.js"></script>
</head>

<c:if test="${not empty param.cid and not (param.cid == 0)}">
	<sql:query var="rsMetadata" dataSource="jdbc/callcenterRO">
		SELECT *
		FROM campaign_forms_metadata
		WHERE campaign = ${param.cid}
		ORDER BY orden
	</sql:query>
	
	<sql:query var="rsResultados" dataSource="jdbc/callcenterRO">
		SELECT *
		FROM llamadas_resultados
	</sql:query>
				
	<sql:query var="rsCampaign" dataSource="jdbc/callcenterRO">
		SELECT info 
		FROM campanias
		WHERE id = ${param.cid}
	</sql:query>
</c:if>

<body>

<!--  EMPIEZA LA PÁGINA  -->
<h3>Llamada de ${rsCampaign.rows[0].info}</h3>
<div class="content">
	<form method="post" action="servlet/FormSubmit" name="formulario">	
		<table class="data">
			<tr>
				<th class="tit">Datos del cliente</th>
			</tr>
		
			<tr>
				<td>
 					<table> 
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label>Nombre:</label>
										</td>
										<td class="query">
											<input type="text" size="20" maxlength="32" name="nombre" id="nombre" value="${rs.rows[0].nombre}"/>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label>Apellido:</label>
										</td>
										<td class="query">
											<input type="text" size="20" maxlength="32" name="apellido" id="apellido" value="${rs.rows[0].apellido}">
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
											<label>Dirección:</label>
										</td>
										<td class="query">
											<input type="text" size="50" maxlength="128" name="direccion" id="direccion" value="${rs.rows[0].direccion}">
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>

			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label for="tel">Telefono:</label>
										</td>
										<td class="query">
											<label>${param.phone}</label>
                                            <input type="hidden"  name="tel" id="tel" value="${param.phone}"/>
										</td>
									</tr>
								</table>
							</td>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel">
										<label for="email">Email:</label>
										</td>
										<td class="query">
											<input type="text" size="15" maxlength="64" name="email" id="email" value="${rs.rows[0].email}">
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		 
		<c:if test="${not empty rsMetadata.rows}">
			<table class="data">
				<tr>
					<th class="tit">Extracción de información</th>
				</tr>	
				<c:forEach var="row" varStatus="stat" items="${rsMetadata.rows}">
					<tr>
						<td>
							<table>
								<tr>
									<td>
										<table class="query">
											<tr class="plain">
												<td class="querylabel">
													<label>
														${row.valor}
													</label>
												</td>
												<td class="query">
													<c:choose>
														<c:when test="${empty row.opciones}">
															<c:set var='largo' value='50'/>
															<c:if test='${largo > row.largo}'>
																<c:set var='largo' value='${row.largo}'/>
															</c:if>
															<input type="text" size="${largo}" maxlength="${row.largo}" name="${row.campo}">
														</c:when>
														<c:otherwise>
															<select name="${row.campo}">
																<c:forTokens var="data" items="${row.opciones}" delims=",">
																	<option value="${data}">${data}</option>
																</c:forTokens>
															</select>
														</c:otherwise>
													</c:choose>																						
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</c:forEach>			
			</table>
			<br/>
		</c:if>
		 
		<br/>

		<table class="data">
			<input type="hidden" name="uid" value="${param.uid}"/>
			<input type="hidden" name="cid" value="${param.cid}"/>
			<c:if test='${not empty param.agent}'>
				<input type="hidden" name="agent" value="${param.agent}"/>
			</c:if>
			<tr>
				<th class="tit">Evaluación de Llamada:</th>
			</tr>
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Resultado:</label></td>
										<td class="query">
											<select name="call_result" onChange="updateCallResult(this.form)">
												<option value="" selected="selected">Elegir..</option>
												<c:forEach var="row" varStatus="stat" items="${rsResultados.rows}">
													<option value="${row.id}">${row.valor}</option>
												</c:forEach>												
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			
			<tr>
				<td>
 					<table>
						<tr>
							<td>
								<table class="query">
									<tr class="plain">
										<td class="querylabel"><label>Notas:</label></td>
										<td class="query" width="100%">
											<textarea cols="60" rows="3" name="call_notas"></textarea>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>

		<br/>
		<table class="action">
		<input type="hidden" name="accion" value="fin"/>
			<tr>
				<td>
					<input class="boton" type="submit" name="submitFin"	id="submitFin" value="Terminar"></input>
				</td>
				<td>
					<input class="boton" type="submit" name="submitCancel" id="submitCancel" value="Cancelar"></input>
				</td>
			</tr>
		</table>

	</form>

</div>

	<c:if test="${!empty param.result}">
		<p>${param.result}</p>
	</c:if>
	
</body>
</html>
