<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="/WEB-INF/query.tld" prefix="w" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="util" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="ipcontact.*" %>
<%@ page import="org.w3c.dom.*" %>
<%@ page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<c:choose>
		<c:when test="${param.lang eq \"en\"}">
			<c:set var="locale" value="en" scope="session" />
		</c:when>
		<c:when test="${param.lang eq \"es\"}">
			<c:set var="locale" value="es" scope="session" />
		</c:when>
		<c:when test="${param.lang eq \"pt\"}">
			<c:set var="locale" value="pt" scope="session" />
		</c:when>
	</c:choose>
	<c:choose>
		<c:when test="${locale eq \"en\"}">
			<fmt:setLocale value="en" />
		</c:when>
		<c:when test="${locale eq \"es\"}">
			<fmt:setLocale value="es" />
		</c:when>
		<c:when test="${locale eq \"pt\"}">
			<fmt:setLocale value="pt" />
		</c:when>
	</c:choose>
	<fmt:bundle basename="base">
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
			<link type="text/css" rel="stylesheet" href="${path}include/style.css"/>
			<script type="text/javascript" src="${path}include/scripts.js"></script>
			<script type="text/javascript" src="${path}include/formval.js"></script>
			<script type="text/javascript" src="${path}calendar/current.js"></script>
			<script type="text/javascript" src="${path}calendar/scw.js"></script>
			<script type="text/javascript" src="${path}include/checks.js"></script>
			<link rel="icon" href="include/favicon.png" />
			<title><fmt:message key="header.title"/></title>
		</head>
	</fmt:bundle>
	 
	<c:remove var="sql" scope="session"/>
	<c:remove var="table" scope="session"/>
	 
	<body>
		<fmt:bundle basename="base">
			<div id="header">
				<div id="header-title">
					<fmt:message key="header.callcenter"/>
				</div>
				<div id="header-user">
					<c:if test="${not empty sessionScope.username}">
						<c:set var="roleKey" value="header.${role}"/>
						<fmt:message key="header.user"/>: ${sessionScope.username} (<fmt:message key="${roleKey}"/>)
					</c:if>			
				</div>	
			</div>
			<div id="header-version">
            	<p><fmt:message key="header.version"/> 1.7</p>
            </div>
		</fmt:bundle>


