function getOptionByValue(select, value) {

		for(indice=0; indice < select.length; indice++) {
				if(select.options[indice].value == value) {
						return select.options[indice];
				}
		}
		return null;
}

function updateOptionList(select, list, optionsList) {
		var index;		
		select.options.length = 0;
		for(index = 0; index < list.length; index++ ) {
			select.options[index] = 
				new Option(optionsList[list[index]][1], optionsList[list[index]][0]);
		}
}

// Funcion que valida los datos de la Personal
function validarDatosPersona(form) {
	var valido = true;
	
	if( !form.nombre.value ) { // Requerir el nombre
		alert("Debe completar el nombre");
		form.nombre.focus();
		form.nombre.select();
		valido = false;
	} else if( !form.apellido.value ) { // Requerir el apellido
		alert("Debe completar el apellido");
		form.apellido.focus();
		form.apellido.select();
		valido = false;
	} 
		
	return valido;
}


function checkDate(day,month,year){
	var day;
	var month;
	var year;
	var leap = 0;
	var valido = true;

	/* Validacion generica de dia,mes,anio*/
	if( day < 1 || day > 31 || month < 1 || month > 12 || year < 2000) {
		valido = false;
	} else if ( day > 30 && ( month == 4 || month == 6 || month == 9 || month == 11) ) {
		valido = false;
	} 

	if( valido && month == 2 ) {
		if((year % 4 == 0) || (year % 100 == 0) || (year % 400 == 0)) {
			leap = 1;
		}
		if(leap == 1 && day > 29) {
			valido = false;
		} else if(leap != 1 && day > 28) {
			valido = false;
		}
	}
	return valido;				
}

function validarFechaLlamado(call_fecha, call_hora) {		
	var valido = true;
	var day, month, year;
	var leap = 0;
	var hour, minutes;
	var pos = 0;
	var dateStr = call_fecha.value;
	var hourStr = call_hora.value;
	var auxStr = "";

	/************ VALIDACION DE FECHA *************/
	if(!dateStr) {
		msg = "Elija una fecha para nuevo llamado!";
		valido = false;
	} else { /* Parseamos fecha */
		/* day */
		pos = dateStr.indexOf('/');
		if(pos <= 0) { 
			valido = false;
		} else {
			day = new Number(dateStr.substring(0,pos));
			if(isNaN(day)) { 
				valido = false;
			} else { /* month */
				auxStr = dateStr.substr(pos+1);
				pos = auxStr.indexOf('/');
				if(pos <= 0) {
					valido = false;
				} else {
					month = new Number(auxStr.substring(0,pos));
					if(isNaN(month)) {
						valido = false;
					} else { /* year */
						year = new Number(auxStr.substr(pos+1));
						if(isNaN(year)) { 
							valido = false;
						}
					} /* End: year */
				}
			} /* End: month */
		} /* End: day */
		if(!valido) {						
			msg = "El formato de fecha es incorrecto!";
		} else if(!checkDate(day,month,year)) {
			valido = false;
			msg = "La fecha (" + day + "/" + month + "/" + year + ") es invalida!";
		}
	}
	if(!valido) {
		alert(msg);
		call_fecha.select();
		call_fecha.focus();
		return false;
	}
	/********** FIN VALIDACION DE FECHA *************/

	/********** VALIDACION DE HORA *************/
	if(!hourStr) {
		msg = "Debe especificar una hora para nuevo llamado!";
		valido = false;
	} else {
		pos = hourStr.indexOf(':');
		if(pos <= 0) { /* hour */ 
			valido = false;
		} else {
			hour = new Number(hourStr.substring(0,pos));
			if(isNaN(hour)) { 
				valido = false;
			} else {	/* minutes */ 
				minutes = new Number(hourStr.substr(pos+1));
				if(isNaN(minutes)) {
					valido = false;
				} /* End: minutes */
			}
		} /* End: hour */
		if(!valido) {
			msg = "Formato de hora incorrecto!";
		} else if( hour < 0 || hour > 23 || minutes < 0 || minutes >59 ) {
			msg = "La hora (" + hour + ":" + minutes + ") no es valida!";
			valido = false;
		}
	}
	
	if(!valido) {
		alert(msg);
		call_hora.select();
		call_hora.focus();
		return false;
	}
	/********** FIN VALIDACION DE HORA *************/

	/* Llegamos aqui si la fecha y hora son validas */

	/********** VALIDACION DE RANGO PARA FECHA Y HORA **********/
	var today = new Date();
	var date = new Date(year, month-1, day, hour, minutes);
	diff = date - today;
	oneday = 86400000; /* 24 * 60 *60 * 1000 msec */
	five_min = 300000; /* 5 * 60 * 1000 msec */
	if( date < today ) {
		msg = "No es posible agendar llamada en el pasado!!";
		valido = false;
	} else if( (date - today) < five_min ) {
		msg = "No es posible agendar llamada para antes de 5 minutos!!";
		valido = false;
	} else if ((diff / oneday) > 60 ) {
		msg = "No es posible agendar llamada posterior a 2 meses!!\nVerifique o proceda a registro manual.";
		valido = false;
	}
	
	if(!valido) {
		alert(msg);
		call_fecha.select();
		call_fecha.focus();
		return false;
	} 
	/********** FIN VALIDACION DE RANGO PARA FECHA Y HORA **********/
	return valido;
}

function validarDatos(form) {		
	var call_result = form.call_result.value;
	var valido = false;
	
	if(call_result == "") {
		alert("Elija un resultado para la llamada!");
		form.call_result.focus();
	}
	else {
		valido = true;
		//Llamar en otro momento
		if (call_result == 3) { 
			valido = validarFechaLlamado(form.call_fecha, form.call_hora);
		}
		//Llamar a otro numero
		if (call_result == 4) { 
			valido = form.call_nuevo_tel.value != "";
			if (!valido) alert("Elija un nuevo número para llamar");
		}
	}
	return valido;
} 

function validarDatosSchedule(form) {
	if (!validarFechaLlamado(form.date, form.time)) {
		return false;
	}

	return true;
}

function enviarDatosCliente(form, myaction) {
	var valido = false;
		
	if(myaction == "cancelar") {
		valido = true;
	} else {
		valido = validarDatos(form);
	}
	
	if(valido) {
		form.accion.value = myaction;
	}
	
	if (valido) {
		browserClose = 0;
	}
	return valido;
}

function enviarDatosClienteDively(form, myaction) {
	valido = enviarDatosCliente(form, myaction);
	if (valido && form.call_result.value == 11) {
		return confirm("¿Esta seguro que desea marcar esta llamada como venta?");
	}
	else {
		return valido;
	}
}
