<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%@page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<c:choose>
		<c:when test="${not empty param.id}">
			<c:set var="activemenu" value="${param.id}" scope="session"/>
		</c:when>
		<c:otherwise>
			<c:if test="${empty sessionScope.activemenu}">
				<c:set var="activemenu" value="campaigns" scope="session"/>
			</c:if>
		</c:otherwise>
	</c:choose>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link type="text/css" rel="stylesheet" href="include/style.css"/>
		<link rel="icon" href="include/favicon.png" />
		<script type="text/javascript">
			function expandmenu(active) {
				document.forms.menu.id.value=active;
				document.forms.menu.submit();
			}
		</script>
		<c:choose>
			<c:when test="${locale eq \"en\"}">
				<fmt:setLocale value="en" />
			</c:when>
			<c:when test="${locale eq \"es\"}">
				<fmt:setLocale value="es" />
			</c:when>
			<c:when test="${locale eq \"pt\"}">
				<fmt:setLocale value="pt" />
			</c:when>
		</c:choose>
	</head>
	<body>
		<form method="post" action="menuframe.jsp" name="menu" target="_self">
			<input type="hidden" name="id"/>
		</form>
		<fmt:bundle basename="base">

			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"campaigns\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('campaigns')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('campaigns')">
						<fmt:message key="menu.title.campaings" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"campaigns\"}">
					<c:if test="${sessionScope.role eq \"admin\"}">
						<li class="menu">
							<a class="menu" href="${path}campaigns/addCampaign.jsp" target="_top"><fmt:message key="menu.campaigns.addcampaign" /></a>
						</li>
					</c:if>
					<c:if test="${sessionScope.spamEnabled} && ${sessionScope.role eq \"admin\"}">
					    <li class="menu">
						<a class="menu" href="${path}campaigns/addSpam.jsp" target="_top"><fmt:message key="menu.campaigns.addspam" /></a>
					    </li>
					</c:if>
					<li class="menu">
						<a class="menu" href="${path}campaigns/listCampaigns.jsp" target="_top"><fmt:message key="menu.campaigns.listcampaigns" /></a>
					</li>
					<li class="menu">
						<a class="menu" href="${path}campaigns/timerange.jsp" target="_top"><fmt:message key="menu.campaigns.timerange" /></a>
					</li>
					<li class="menu">
						<a class="menu" href="${path}campaigns/callresults.jsp" target="_top"><fmt:message key="menu.campaigns.callresults" /></a>
					</li>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"forms\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('forms')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('forms')">
						<fmt:message key="menu.title.forms" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"forms\"}">
				    <c:if test="${sessionScope.role eq \"admin\"}">
					<li class="menu">
					    <a class="menu" href="${path}forms/addForm.jsp" target="_top">
						<fmt:message key="menu.forms.addform" />
					    </a>
					</li>
				    </c:if>
				    <li class="menu">
				        <a class="menu" href="${path}forms/listForms.jsp" target="_top">
					    <fmt:message key="menu.forms.listforms" />
					</a>
				    </li>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"customers\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('customers')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('customers')">
						<fmt:message key="menu.title.customers" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"customers\"}">
					<li class="menu">
						<a class="menu" href="${path}clients/loadClientData.jsp" target="_top"><fmt:message key="menu.customers.loadcustomers" /></a>
					</li>
					<li class="menu">
						<a class="menu" href="${path}clients/listClients.jsp" target="_top"><fmt:message key="menu.customers.listcustomers" /></a>
					</li>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"results\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('results')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('results')">
						<fmt:message key="menu.title.results" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"results\"}">
					<li class="menu">
						<a class="menu" href="${path}results/callResultSearch.jsp" target="_top"><fmt:message key="menu.results.callresults" /></a>
					</li>
                    <li class="menu">
                        <a class="menu" href="${path}results/automaticSearch.jsp" target="_top"><fmt:message key="menu.results.campaignresults" /></a>
                    </li>
					<li class="menu">
						<a class="menu" href="${path}results/callDataSearch.jsp" target="_top"><fmt:message key="menu.results.calldata" /></a>
					</li>
					<li class="menu">
						<a class="menu" href="${path}results/noCallClients.jsp" target="_top"><fmt:message key="menu.results.nocall" /></a>
					</li>
					<c:if test="${sessionScope.fast}">
						<li class="menu">
							<a class="menu" href="${path}results/resultClients.jsp" target="_top"><fmt:message key="menu.results.clients" /></a>
						</li>
					</c:if>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"reports\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('reports')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('reports')">
						<fmt:message key="menu.title.reports" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"reports\"}">
					<li class="menu">
						<a class="menu" href="${path}statistics/reportCampaignsData.jsp" target="_top"><fmt:message key="menu.report.campaigns" /></a>
					</li>
					<c:if test="${sessionScope.fast}">
						<li class="menu">
							<a class="menu" href="${path}statistics/reportCampaignsResult.jsp" target="_top"><fmt:message key="menu.report.resultcampaigns" /></a>
						</li>
					</c:if>
				</c:if>
			</ul>
			
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"scheduler\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('scheduler')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('scheduler')">
						<fmt:message key="menu.title.scheduler" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"scheduler\"}">
					<li class="menu">
						<a class="menu" href="${path}scheduled/listScheduledCalls.jsp" target="_top"><fmt:message key="menu.scheduler.ask" /></a>
					</li>
					<li class="menu">
						<a class="menu" href="${path}scheduled/addScheduledCall.jsp" target="_top"><fmt:message key="menu.scheduler.addcall" /></a>
					</li>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"prefixes\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('prefixes')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('prefixes')">
						<fmt:message key="menu.title.prefixes" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"prefixes\"}">
					<c:if test="${sessionScope.role eq \"admin\"}">
						<li class="menu">
							<a class="menu" href="${path}prefixes/addPrefix.jsp" target="_top"><fmt:message key="menu.prefixes.addprefix" /></a>
						</li>
					</c:if>
					<li class="menu">
						<a class="menu" href="${path}prefixes/listPrefix.jsp" target="_top"><fmt:message key="menu.prefixes.listprefixes" /></a>
					</li>
					<c:if test="${sessionScope.role eq \"admin\"}">
						<li class="menu">
							<a class="menu" href="${path}prefixes/prefix.jsp" target="_top"><fmt:message key="menu.prefixes.addprefixesusers" /></a>
						</li>
					</c:if>
				</c:if>
			</ul>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"admin\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('admin')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('admin')">
						<fmt:message key="menu.title.admin" />
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"admin\"}">
					<li class="menu"><a class="menu" href="${path}logout.jsp" target="_top"><fmt:message key="menu.admin.logout" /></a></li>
				</c:if>
			</ul>
		</fmt:bundle>
	</body>
</html>
