<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="prefixes">
	<div id="right">
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<h2><fmt:message key="listprefixes.title"/></h2>
				
		<c:choose>
			<c:when test="${empty param.rows}">
				
				<form method="get" name="formulario" action="listPrefix.jsp">		
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="listprefixes.name"/>:</td>
							<td class="query">
								<input name="name" type="text" size="20" maxlength="32"/>
							<td class="query">
								<select name="nameType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="listprefixes.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"></td>
						</tr>
						
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="listprefixes.submit" var="submit"/>
								<input class="boton" type="submit" name="submit" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var="conds">
					<w:condition attribute="nombre" comparator="${param.nameType}" value="${param.name}"/>
				</w:where>
		
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT count(*) AS count 
					FROM prefijos
					${conds}
				</sql:query>
		
				<c:if test= "${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT nombre, prefijo
					FROM prefijos
					${conds}		
					LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
				
				<form method="get" action="listPrefix.jsp" name="jumpForm">
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
				
				<form method="post" action="delPrefix.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="name" value="${param.name}"/>
					<input type="hidden" name="nameType" value="${param.nameType}"/>
					<input type="hidden" name="offset" value="${offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>
				</form>
					
				<c:choose>
					<c:when test="${not empty rs.rows}">
						<table class="data">	
							<tr class="tit">
								<th><fmt:message key="listprefixes.name"/></th>
								<th><fmt:message key="listprefixes.prefix"/></th>
								<c:if test="${sessionScope.role eq \"admin\"}">
									<th/>
								</c:if>
							</tr>
				
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>	
								<td class="data">${row.nombre}</td>	
								<td class="data">${row.prefijo}</td>
								<c:if test="${sessionScope.role eq \"admin\"}">
									<td class="data">
									<fmt:message key="listprefixes.delete.question" var="question"/>
										<a class="link" href="javascript:del('${row.nombre}', '${question}')"><fmt:message key="delete"/></a>
									</td>
								</c:if>
							</tr>
							</c:forEach>
						</table>
				
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
					</c:when>
					<c:otherwise>
						<p><fmt:message key="listprefixes.empty"/>.</p>
					</c:otherwise>
				</c:choose>
			</c:otherwise>	
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>