<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="prefixes">
	
		<sql:query var="rs_groups" dataSource="jdbc/ipcontactRO">
			SELECT group_id, group_name 
			FROM groups;
		</sql:query>
		
		<c:if test="${not empty sessionScope.message}">
			 <c:choose>
				 <c:when test="${sessionScope.messageType eq \"error\"}">
					 <c:set var="class" value="error"/>
				 </c:when>
				 <c:otherwise>
					 <c:set var="class" value="ok"/>
				 </c:otherwise>
			 </c:choose>
			 <div class="${class}">
				 ${sessionScope.message}
			 </div>
			 <c:set var="message" value="" scope="session"/>
		 </c:if>
		 
		 <c:choose>
			<c:when test='${not empty param.id}'>
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT users.username AS username, role, first_name, last_name, group_id 
					FROM users 
					WHERE users.username = '${param.id}'
				</sql:query>
				<c:set var='username' value='${rs.rows[0].username}'/>
				<c:set var='role' value='${rs.rows[0].role}'/>
				<c:set var='first_name' value='${rs.rows[0].first_name}'/>
				<c:set var='last_name' value='${rs.rows[0].last_name}'/>
				<c:set var='group_id' value='${rs.rows[0].group_id}'/>
			</c:when>
			<c:otherwise>
				<c:set var='username' value=''/>
				<c:set var='role' value=''/>
				<c:set var='first_name' value=''/>
				<c:set var='last_name' value=''/>
				<c:set var='group_id' value='1'/>
			</c:otherwise>
		</c:choose>
		
		<form method="post" action="delPrefixUsers.jsp" name="deleteForm" target="_self">
			<input type="hidden" name="id"/>
			<input type="hidden" name="username" value="${username}"/>
		</form>
		
		<form method="post" action="addPrefixUsers.jsp" name="editForm" target="_self">
			<input type="hidden" name="mode"/>
			<input type="hidden" name="id"/>
			<input type="hidden" name="username" value="${username}"/>
		</form>
		
		<h2><fmt:message key='addprefixusers.view.title'/>: ${username}</h2>
		
		<h3><fmt:message key='addprefixusers.data.title'/></h3>
		
		<table class="query">
			<tr class="plain">
				<td class="label"><fmt:message key='addprefixes.data.name'/>: </td>
				<td class="query">${first_name} ${last_name}</td>
				<td class="query"/>
			</tr>   			
			<tr class="plain">
				<td class="label"><fmt:message key='addprefixusers.data.rol'/>: </td>
				<td class="query">
		  		<c:choose>
					<c:when test="${role eq 'user' or empty role}"><fmt:message key='addprefixusers.data.user'/></c:when>
					<c:when test="${role eq 'operator'}"><fmt:message key='addprefixusers.data.operator'/></c:when>
					<c:when test="${role eq 'supervisor'}"><fmt:message key='addprefixusers.data.supervisor'/></c:when>
					<c:when test="${role eq 'admin'}"><fmt:message key='addprefixusers.data.admin'/></c:when>
		  		</c:choose>
				</td>
				<td class="query"/>
			</tr>
			<tr class="plain">
				<td class="label"><fmt:message key='addprefixusers.data.group'/>: </td>
				<td class="query">
					<c:forEach var="row" items="${rs_groups.rows}">
						<c:if test='${row.group_id eq group_id}'>${row.group_name}</c:if>
					</c:forEach>
				</td>
				<td class="query"/>
			</tr>
		</table>
		
		<br/>
		<br/>
		
		<w:where var='conds1'>
			<w:condition attribute='usuario' comparator='1' value='${username}'/>
		</w:where>
		
		<sql:query var="rs1" dataSource="jdbc/callcenterRO">
			SELECT nombre, prefijo 
			FROM prefijos 
			WHERE nombre in (SELECT nombre FROM prefijos_usuarios ${conds1})
		</sql:query>
		
		<sql:query var="rs2" dataSource="jdbc/callcenterRO">
			SELECT  nombre, prefijo 
			FROM prefijos
			WHERE nombre not in (SELECT nombre FROM prefijos_usuarios ${conds1}) 
		</sql:query>
		
		<table>
			<tr>
				<td>
					<table class="data">
						<tr class="tit">
							<th colspan="3"><fmt:message key='addprefixusers.userprefix'/> ${username}</th>
						</tr>
						<tr><td colspan="3"></td></tr>
						<tr class="tit">
							<th><fmt:message key='addprefixusers.data.name'/></th>
							<th><fmt:message key='addprefixusers.data.prefix'/></th>
							<th/>
						</tr>
						<c:forEach var="row" varStatus="stat" items="${rs1.rows}">
							<c:choose>
								<c:when test="${stat.count % 2 == 0}">
									<tr class="even">
								</c:when>
								<c:otherwise>
									<tr class="odd">
								</c:otherwise>
							</c:choose>	
							<td class="data">
								${row.nombre}
							</td>
							<td class="data">
								${row.prefijo}
							</td>
							<td>
								<a class='link' href='javascript:del("${row.nombre}", "<fmt:message key='addprefixusers.delete.question'><fmt:param value='${username}'/></fmt:message>")'>
									<fmt:message key='addprefixusers.delete'/>
								</a>
							</td>
							</tr>
						</c:forEach>
					</table>
				</td>
				<td>
					<table class="data" style="vertical-align:super;">
						<tr class="tit">
							<th colspan="3"><fmt:message key='addprefixusers.prefixes'/></th>
						</tr>
						<tr><td colspan="3"></td></tr>
						<tr class="tit">
							<th><fmt:message key='addprefixusers.data.name'/></th>
							<th><fmt:message key='addprefixusers.data.prefix'/></th>
							<th/>
						</tr>
						<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
							<c:choose>
								<c:when test="${stat.count % 2 == 0}">
									<tr class="even">
								</c:when>
								<c:otherwise>
									<tr class="odd">
								</c:otherwise>
							</c:choose>	
							<td class="data">
								${row.nombre}
							</td>
							<td class="data">
								${row.prefijo}
							</td>
							<td>
								<a class='link' href='javascript:edit("${row.nombre}")'>
									<fmt:message key='addprefixusers.edit'/>
								</a>
							</td>
							</tr>
						</c:forEach>
					</table>
				</td>
			</tr>
		</table>
	</fmt:bundle>
</div>
</body>
</html>