<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="results">
	<div id="right">
		
		<h2><fmt:message key="calldata.title"/></h2>			
		
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
				<sql:query var="rsResultados" dataSource="jdbc/callcenterRO">
					SELECT *
					FROM llamadas_resultados
				</sql:query>
				
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT id, info
							FROM campanias
							ORDER BY info
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
				
				<form method="get" name="formulario" action="automaticSearch.jsp">	
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="after"/>:</td>
							<td class="query">
								<input name="afterDate" id="afterDate" type="text" size="10"/>
								<input name="afterTime" id="afterTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value=getCurrentTime();
								-->
								</script>
								<fmt:message key="calldata.calendar" var="calendar"/>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
						</tr>
					
						<tr class="plain">
							<td class="query"><fmt:message key="before"/>:</td>
							<td class="query">
								<input name="beforeDate" id="beforeDate" type="text" size="10"/>
								<input name="beforeTime" id="beforeTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.result"/>:</td>
							<td class="query">
								<select name="result">
									<option value="all" selected="selected"><fmt:message key="all.male"/></option>
									<optgroup label="<fmt:message key="calldata.automatic"/>">
										<c:forEach var="row" items="${rsResultados.rows}">
											<c:if test="${row.id < 0}">
											<option value="${row.id}">${row.valor}</option>
											</c:if>
										</c:forEach>
									</optgroup>
									<optgroup label="<fmt:message key="calldata.manual"/>">
										<c:forEach var="row" items="${rsResultados.rows}">
											<c:if test="${row.id >= 0}">
											<option value="${row.id}">${row.valor}</option>
											</c:if>
										</c:forEach>
									</optgroup>
								</select> 
							</td>
						</tr>
		
						<tr class="plain">
							<td class="query"><fmt:message key="calldata.results"/>:</td>
								<td>
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<fmt:message key="calldata.submit" var="submit"/>
								<input class="boton" type="submit" name="show" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>			
				</form>
			</c:when>
		
			<c:otherwise>
				<w:where var="conds">
					<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
					<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
					<c:choose>
						<c:when test="${param.campaign ne 'all'}">
							<w:condition attribute="ll.id_campania" value="${param.campaign}"/>
						</c:when>
						<c:otherwise>
							<c:if test="${sessionScope.role ne \"admin\"}">
								<w:condition condition="
									ll.id_campania IN (
										SELECT camp.id
										FROM campanias camp
										INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON queue = camp.info
										INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
										INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
										WHERE user_id = '${sessionScope.username}'
									)"
								/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<c:if test="${param.result != \"all\"}">
						<w:condition attribute="resultado" value="${param.result}"/>
					</c:if>
				</w:where>
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
				  <c:set var="offset" value="0"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT count(*) AS count
					FROM llamadas ll
					INNER JOIN campanias a on id_campania = a.id
					INNER JOIN llamadas_resultados l on resultado = l.id
					${conds}
				</sql:query>
		
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<!-- tarifas -->
				<sql:query var="rsReg" dataSource="jdbc/ipcontactRO">
					SELECT * FROM fees ORDER BY usedate DESC, usetime DESC, TIMEDIFF(end_date, start_date)
				</sql:query>

				<c:choose>
					<c:when test="${rsReg.rowCount == 0}">
						<c:set var="expressions" value="0"/>
					</c:when>
					<c:otherwise>
						<c:set var="expressions" value="CASE "/>
						<c:forEach var="row" varStatus="stat" items="${rsReg.rows}">
							<c:choose>
							<c:when test="${row.usetime and row.start_time <= row.end_time}">
								<c:set var="time1" value =" AND TIME(calldate) >= '${row.start_time}' AND TIME(calldate) <= '${row.end_time}'"/>
							</c:when>
							<c:otherwise>
								<c:set var="time1" value=""/>
							</c:otherwise>
							</c:choose>

							<c:choose>
							<c:when test="${row.usetime and row.start_time > row.end_time}">
								<c:set var="time2" value =" AND (TIME(calldate) >= '${row.start_time}' OR TIME(calldate) <= '${row.end_time}')"/>
							</c:when>
							<c:otherwise>
								<c:set var="time2" value=""/>
							</c:otherwise>
							</c:choose>

							<c:choose>
							<c:when test="${row.usedate}">
								<c:set var="date" value =" AND DATE(calldate) >= '${row.start_date}' AND DATE(calldate) <= '${row.end_date}'"/>
							</c:when>
							<c:otherwise>
								<c:set var="date" value=""/>
							</c:otherwise>
							</c:choose>

							<c:choose>
							<c:when test="${row.useday}">
								<c:set var="day" value =" AND DAYOFWEEK(calldate) IN (${row.days})"/>
							</c:when>
							<c:otherwise>
								<c:set var="day" value=""/>
							</c:otherwise>
							</c:choose>

							<c:set var="expressions" value="${expressions} when src REGEXP '${row.expression}' 
							${time1} ${time2} ${date} ${day}
							then CAST(CONCAT(CEILING(duration/${row.fraction_period}) * ${row.price},' (${row.name})') AS CHAR)"/>
						</c:forEach>
						<c:set var="expressions" value="${expressions} else '' end "/>
					</c:otherwise>
				</c:choose>
				<!-- end tarifas -->
		 
				<!-- la variable sql es usada para generar los reportes -->
				<c:set var="sql" scope="session" value=
					"SELECT DATE_FORMAT(fecha, '%d/%m/%Y %T') as fechaf, a.info AS info, ll.telefono AS tel, l.valor AS valor,
						SEC_TO_TIME(cdr.duration) AS duration, ${expressions} AS fee
					FROM llamadas ll
					INNER JOIN campanias a on id_campania = a.id
					INNER JOIN llamadas_resultados l on resultado = l.id
					LEFT JOIN ${sessionScope.ipcontactTable}.cdr cdr on ll.id = cdr.uniqueid
					${conds} ORDER BY fecha"
				/>  
										
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					${sql} LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>

				<form method="get" action="automaticSearch.jsp" name="jumpForm">
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="result" value="${param.result}"/>
					<input type="hidden" name="campaign" value="${param.campaign}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<c:choose>
					<c:when test="${empty rs.rows}">
						<p><fmt:message key="calldata.empty"/></p>
					</c:when>
					<c:otherwise>
						<table class="data">
							<tr class="tit">
								<th><fmt:message key="calldata.date"/></th>
								<th><fmt:message key="calldata.campaign"/></th>
								<th><fmt:message key="calldata.phone"/></th>
								<th><fmt:message key="calldata.result"/></th>
								<th><fmt:message key="calldata.duration"/></th>
								<c:if test="${rsReg.rowCount != 0}">
									<th><fmt:message key="calldata.fee"/></th>
								</c:if>
							</tr>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even2">
									</c:when>
									<c:otherwise>
										<tr class="odd2">
									</c:otherwise>
								</c:choose>	
									<td class="data">${row.fechaf}</td>	
									<td class="data">${row.info}</td>	
									<td class="data">${row.tel}</td>
									<td class="data">${row.valor}</td>	
									<td class="data">${row.duration}</td>	
									<c:if test="${rsReg.rowCount != 0}">
										<td class="data">${row.fee}</td>	
									</c:if>
								</tr>
							</c:forEach>
						</table>
						
						<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
						
						<c:url var="linkPDF" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="automaticFee.xml"/>
							<c:param name="reportType" value="pdf"/>					
							<c:param name="filename" value="automatic"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkXLS" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="automaticFee.xml"/>
							<c:param name="reportType" value="xls"/>					
							<c:param name="filename" value="automatic"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<c:url var="linkCSV" value="../servlet/ipcontact.Reports">
							<c:param name="reportFile" value="portrait-report.xml"/>
							<c:param name="template" value="automaticFee.xml"/>
							<c:param name="reportType" value="csv"/>					
							<c:param name="filename" value="automatic"/>
							<c:param name="db" value="java:comp/env/jdbc/callcenterRO"/>
							<c:if test="${not empty sessionScope.locale}">
								<c:param name="locale" value="${sessionScope.locale}"/>
							</c:if>
						</c:url>
						
						<%@ include file="../include/export.jsp" %>
						 
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>	
	</div>
</fmt:bundle>
</body>
</html>


