<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>
<fmt:bundle basename="results">
	<div id="right">
		<h2><fmt:message key="callresults.title"/></h2>
		
		<c:choose>
			<c:when test="${empty param.groupby}">
				<c:if test="${empty param.groupby and not empty param.rows}">
					<h3><fmt:message key="callresults.criteria"/></h3>
				</c:if>
				 
				<c:choose>
					<c:when test="${sessionScope.role eq \"admin\"}">
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT id, info
							FROM campanias
							ORDER BY info
					    </sql:query>
					</c:when>
					<c:otherwise>
					    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
							SELECT c.id AS id, info
							FROM campanias c
							INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
							INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
							INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
							WHERE user_id = '${sessionScope.username}'
							GROUP BY c.id
							ORDER BY info
					    </sql:query>
					</c:otherwise>
				</c:choose>
				 
				<form method="get" name="formulario" action="callResultSearch.jsp">
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="after"/>:</td>
							<td class="query">
								<input name="afterDate" id="afterDate" type="text" size="10"/>
								<input name="afterTime" id="afterTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.afterDate.value.length == 0)
										document.formulario.afterDate.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value=getCurrentTime();
								-->
								</script>
								<fmt:message key="callresults.calendar" var="calendar"/>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('afterDate'),this);" />
							</td>
						</tr>
					
						<tr class="plain">
							<td class="query"><fmt:message key="before"/>:</td>
							<td class="query">
								<input name="beforeDate" id="beforeDate" type="text" size="10"/>
								<input name="beforeTime" id="beforeTime" type="text" size="5"/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('beforeDate'),this);"/>
								<c:set var="calendar" value=""/>
							</td>
						</tr>
					
						<tr class="plain">
							<td class="query"><fmt:message key="groupby"/>:</td>
							<td class="query">
								<select name="groupby" multiple="multiple">
									<option value="info"><fmt:message key="callresults.campaign"/></option>
									<option value="agente"><fmt:message key="callresults.agent"/></option>
									<option value="HOUR(fecha)"><fmt:message key="callresults.hour"/></option>
									<option value="DAYOFMONTH(fecha)"><fmt:message key="callresults.day"/></option>
									<option value="valor"><fmt:message key="callresults.result"/></option>
								</select>
							</td>							
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="callresults.campaign"/>:</td>
							<td class="query">
								<select name="campaign">
									<option value="all" selected="selected"><fmt:message key="all.female"/></option>
									<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
										<option value="${row.id}">${row.info}</option>
									</c:forEach>
								</select> 
							</td>
						</tr>
						
						<tr class="plain">
							<td class="query"><fmt:message key="callresults.label"/>:</td>
							<td class="query">
								<input name="label" type="text" size="20" maxlength="20"/>
								<select name="labelType">
									<option value="1"><fmt:message key="equals"/></option>
									<option value="2" selected="selected"><fmt:message key="contains"/></option>
									<option value="3"><fmt:message key="startswith"/></option>
									<option value="4"><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
										
						<tr class="plain">
							<td class="query"><fmt:message key="callresults.lastResult"/>:</td>
							<td class="query">
								<input type="checkbox" name="lastResult"/>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="callresults.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
						</tr>
						<tr class="plain">
							<td class="query" colspan="2">
								<fmt:message key="callresults.submit" var="submit"/>
								<input class="boton" type="submit" name="show" value="${submit}"/>
								<c:set var="submit" value=""/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
			
			<c:otherwise>
				
				<c:set var="offset" value="${param.offset}"/>
				
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
						
				<w:where var="conds">
					<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
					<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
					<c:if test="${param.lastResult eq 'on'}">
						<w:where var="innerConds">
							<w:condition condition="id_cliente = ll.id_cliente"/>
							<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
							<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
						</w:where>
						<w:condition condition="ll.id = (SELECT MAX(id) from llamadas ${innerConds})"/>
					</c:if>
					<c:choose>
						<c:when test="${param.campaign ne 'all'}">
							<w:condition attribute="ll.id_campania" value="${param.campaign}"/>
						</c:when>
						<c:otherwise>
							<c:if test="${sessionScope.role ne \"admin\"}">
								<w:condition condition="
									ll.id_campania IN (
										SELECT camp.id
										FROM campanias camp
										INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON queue = camp.info
										INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
										INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
										WHERE user_id = '${sessionScope.username}'
									)"
								/>
							</c:if>
						</c:otherwise>
					</c:choose>
					<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
				</w:where>
				
				<c:choose>
					<c:when test="${empty param.group}">
						<c:set var="group" value="${paramValues.groupby[0]}"/>
						<c:forEach var="data" begin="1" items="${paramValues.groupby}">
							<c:set var="group" value="${group}, ${data}"/>
						</c:forEach>
					</c:when>
					<c:otherwise>
						<c:set var="group" value="${param.group}"/>
					</c:otherwise>
				</c:choose>
				
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT count(*) AS count FROM (
						SELECT count(*)
						FROM llamadas ll
						INNER JOIN llamadas_resultados r on r.id = resultado
						INNER JOIN campanias c on c.id = id_campania
						INNER JOIN clientes_extrainfo ce ON ce.id=ll.id_cliente
						${conds}
						GROUP BY ${group} WITH ROLLUP
					) AS x
				</sql:query>
				
				<c:if test="${rs.rows[0].count > (offset + param.rows)}">
					<c:set var="nextOffset" value="true"/>
				</c:if>
		
				<sql:query var="rs" dataSource="jdbc/callcenterRO">
					SELECT ${group}, COUNT(*) as count
					FROM llamadas ll
					INNER JOIN llamadas_resultados r on r.id = resultado
					INNER JOIN campanias c on c.id = id_campania
					INNER JOIN clientes_extrainfo ce ON ce.id=ll.id_cliente
					${conds}
					GROUP BY ${group} WITH ROLLUP
					LIMIT ${param.rows} OFFSET ${offset}
				</sql:query>
				
				<form method="post" action="callResultSearch.jsp" name="jumpForm">
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="groupby" value="xx"/>
					<input type="hidden" name="group" value="${group}"/>
					<input type="hidden" name="label" value="${param.label}"/>
					<input type="hidden" name="labelType" value="${param.labelType}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>		
				</form>
		
				<table class="data">
					<tr class="tit">
						<c:forTokens var="data" delims=", " items="${group}">
							<th>
								<c:choose>
									<c:when test="${data eq \"info\"}">
										<fmt:message key="callresults.campaign"/>
									</c:when>
									<c:when test="${data eq \"agente\"}">
										<fmt:message key="callresults.agent"/>
									</c:when>
									<c:when test="${data eq \"valor\"}">
										<fmt:message key="callresults.result"/>
									</c:when>
									<c:when test="${data eq \"HOUR(fecha)\"}">
										<fmt:message key="callresults.hour"/>
									</c:when>
									<c:when test="${data eq \"DAYOFMONTH(fecha)\"}">
										<fmt:message key="callresults.day"/>
									</c:when>
								</c:choose>
							</th>	
						</c:forTokens>
						<th><fmt:message key="callresults.quantity"/></th>
					</tr>
					
					<c:forEach var="row" varStatus="stat" items="${rs.rowsByIndex}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even2">
							</c:when>
							<c:otherwise>
								<tr class="odd2">
							</c:otherwise>
						</c:choose>	
						
						<c:forEach var="inner" items="${row}">
							<td class="data">
								<c:choose>
									<c:when test="${empty inner}"><fmt:message key="callresults.total"/></c:when>
									<c:otherwise>${inner}</c:otherwise>
								</c:choose>
							</td>
						</c:forEach>
						</tr>
					</c:forEach>
				</table>
				
				<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
				
				<p>
					<c:url var="link" value="callResultSearchTable.jsp">
						<c:param name="afterDate" value="${param.afterDate}"/>
						<c:param name="afterTime" value="${param.afterTime}"/>
						<c:param name="beforeDate" value="${param.beforeDate}"/>
						<c:param name="beforeTime" value="${param.beforeTime}"/>
						<c:param name="campaign" value="${param.campaign}"/>
						<c:param name="lastResult" value="${param.lastResult}"/>
						<c:param name="label" value="${param.label}"/>
						<c:param name="labelType" value="${param.labelType}"/>
						<c:param name="group" value="${group}"/>
					</c:url>
		
					<a href="${link}"><fmt:message key="callresults.download"/></a>
				</p>
						
			</c:otherwise>
			
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>


