<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="/WEB-INF/query.tld" prefix="w" %>
<%@ page contentType="text/csv; charset=iso-8859-1" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.Statement" %>
<%@ page import="java.sql.ResultSet" %>
<%@ page import="java.sql.SQLException" %>
<%@ page import="javax.servlet.jsp.jstl.fmt.LocaleSupport" %>
<%@ page import="javax.naming.Context" %>
<%@ page import="javax.naming.InitialContext" %>
<%@ page import="javax.naming.NamingException" %>
<%@ page import="javax.sql.DataSource" %>
<fmt:bundle basename="results">
<w:where var="conds">
	<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
	<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
	<c:if test="${param.lastResult eq 'on'}">
		<w:where var="innerConds">
			<w:condition condition="id_cliente = ll.id_cliente"/>
			<w:condition attribute="fecha" afterDate="${param.afterDate}" afterTime="${param.afterTime}"/>
			<w:condition attribute="fecha" beforeDate="${param.beforeDate}" beforeTime="${param.beforeTime}"/>
		</w:where>
		<w:condition condition="ll.id = (SELECT MAX(id) from llamadas ${innerConds})"/>
	</c:if>
	<c:choose>
		<c:when test="${param.campaign ne 'all'}">
			<w:condition attribute="ll.id_campania" value="${param.campaign}"/>
		</c:when>
		<c:otherwise>
			<c:if test="${sessionScope.role ne \"admin\"}">
				<w:condition condition="
					ll.id_campania IN (
						SELECT camp.id
						FROM campanias camp
						INNER JOIN ${sessionScope.ipcontactTable}.queue_users ON queue = camp.info
						INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
						INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
					)"
				/>
			</c:if>
		</c:otherwise>
	</c:choose>
	<w:condition attribute="etiqueta" comparator="${param.labelType}" value="${param.label}"/>
</w:where>
<c:set var="group" value="${param.group}"/>

<sql:query var="rs" dataSource="jdbc/callcenterRO">
	SELECT ${group}, COUNT(*) as count
	FROM llamadas ll
	INNER JOIN llamadas_resultados r on r.id = resultado
	INNER JOIN campanias c on c.id = id_campania
	${conds}
	GROUP BY ${group} WITH ROLLUP
</sql:query>
   
<% response.setHeader("Content-Disposition", "attachment; filename=\"resultados.csv\""); %>
<c:forTokens var="data" delims=", " items="${group}"><c:choose><c:when test="${data eq \"info\"}"><fmt:message key="callresults.campaign"/>${sessionScope.csvSeparator}</c:when><c:when test="${data eq \"agente\"}"><fmt:message key="callresults.agent"/>${sessionScope.csvSeparator}</c:when><c:when test="${data eq \"valor\"}"><fmt:message key="callresults.result"/>${sessionScope.csvSeparator}</c:when><c:when test="${data eq \"HOUR(fecha)\"}"><fmt:message key="callresults.hour"/>${sessionScope.csvSeparator}</c:when><c:when test="${data eq \"DAYOFMONTH(fecha)\"}"><fmt:message key="callresults.day"/>${sessionScope.csvSeparator}</c:when></c:choose></c:forTokens>
<c:forEach var="row" varStatus="stat" items="${rs.rowsByIndex}"><c:forEach var="inner" items="${row}"><c:choose><c:when test="${empty inner}"><fmt:message key="callresults.total"/>${sessionScope.csvSeparator}</c:when><c:otherwise>${inner}${sessionScope.csvSeparator}</c:otherwise></c:choose></c:forEach>
</c:forEach>
</fmt:bundle>