<%@ page import="
	java.io.*,
	java.sql.*,
	javax.sql.*, 
	javax.naming.*,
	ipcontact.*"
%>

<%
	String file = request.getParameter("file");
	String date = request.getParameter("date");
	SSHManager ssh = new SSHManager();

	Connection connection = null;
	PreparedStatement prepStatement = null;
	ResultSet resultData = null;

	Context environment;
	DataSource pool;
	InputStream input;
	boolean found = false;
    
	try {
		environment = new InitialContext();
		pool = (DataSource) environment.lookup("java:comp/env/jdbc/ipcontactRO");
		connection = pool.getConnection();
		prepStatement = connection.prepareStatement(
				"SELECT host, ssh_folder, remote_folder, remote_user, key_file " +
				"FROM sshconfig " +
				"WHERE system = 0"
		);

		resultData = prepStatement.executeQuery();

		while (resultData.next() && !found) {
			ssh.setHost(resultData.getString("host"));
			ssh.setSshFolder(resultData.getString("ssh_folder"));
			ssh.setRemoteFolder(resultData.getString("remote_folder"));
			ssh.setUser(resultData.getString("remote_user"));
			ssh.setKeyFile(resultData.getString("key_file"));

			String[] dateTokens = date.split("-");
			try {
				input = ssh.openFile(dateTokens[0] + "/" + dateTokens[1] + "/" + dateTokens[2] + "/" + file);
				if (input == null) {
					input = ssh.openFile(file.substring(0, file.lastIndexOf('.')) + ".wav");
					if (input != null) {
						found = true;
					}
				}
				else {
					found = true;
				}

				if (found) {
					file = ssh.getRemoteFile();
					response.setContentType("audio/" + file.substring(file.length()-3, file.length()));
					response.setHeader("Content-Disposition", "attachment; filename=\"" + file + "\"");

					OutputStream os = response.getOutputStream();
					byte[] buf = new byte[1024];
					long fileSize = ssh.getFileSize();

					int bytesRead;
					while (fileSize > 0) {
						if (buf.length < fileSize) {
							bytesRead = buf.length;
						}
						else {
							bytesRead = (int)fileSize;
						}
						bytesRead = input.read(buf, 0, bytesRead);
						if(bytesRead<0){
							// error
							break;
						}
						os.write(buf, 0, bytesRead);
						fileSize -= bytesRead;
					}
					os.close();
				}
			} finally {
				try { ssh.closeFile(); } catch (Exception e) {}
			}
		}
		if (!found) {
			session.setAttribute("message", "statistics.listen.nofile");
			session.setAttribute("messageType", "error");
			response.sendRedirect("recordQuery.jsp?uniqueid=" + request.getParameter("uniqueid"));
		}
	} catch (Exception e) {
		e.printStackTrace();
		session.setAttribute("message", e.getMessage());
		session.setAttribute("messageType", "error");
		response.sendRedirect("recordQuery.jsp?uniqueid=" + request.getParameter("uniqueid"));
	}
	finally {
		try { resultData.close(); } catch (Exception e) { }
		try { prepStatement.close(); } catch (Exception e) { }
		try { connection.close(); } catch (Exception e) { }
	}
%>
