<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="scheduled">
	<div id="right">
		<c:if test="${not empty param.id}">
			<sql:query var="rs" dataSource="jdbc/callcenterRO">
				SELECT agente, id, DATE_FORMAT(fecha, '%d/%m/%Y %H:%i') AS fechaf, telefono
				FROM llamadas_agendadas
				WHERE id = '${param.id}' AND id_campania = '${param.idc}'
			</sql:query>
			<c:set var="id" value="${param.id}"/>
			<c:set var="idc" value="${param.idc}"/>
			<c:set var="telephone" value="${rs.rows[0].telefono}"/>
			<c:set var="agente" value="${rs.rows[0].agente}"/>
			<c:set var="fecha" value="${rs.rows[0].fechaf}"/>
			<c:set var="datetime" value="${fn:split(rs.rows[0].fechaf, \" \")}"/>
		</c:if>
		
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				<c:choose>
					<c:when test="${sessionScope.message eq \"updated\"}">
						<fmt:message key="addscheduled.updated">
							<fmt:param value="${sessionScope.updated}"/>
						</fmt:message>
					</c:when>
					<c:when test="${sessionScope.message eq \"added\"}">
						<fmt:message key="addscheduled.added">
							<fmt:param value="${sessionScope.added}"/>
						</fmt:message>
					</c:when>
					<c:otherwise>
						${sessionScope.message}
					</c:otherwise>
				</c:choose>
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<c:choose>
			<c:when test="${sessionScope.role eq \"admin\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users ON username = user
					ORDER BY first_name
				</sql:query>
			</c:when>
			<c:otherwise>
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users on username = user
					INNER JOIN supervisors_groups USING (group_id)
					WHERE user_id = '${sessionScope.username}'
					ORDER BY first_name
				</sql:query>
			</c:otherwise>
		</c:choose>

		<c:choose>
			<c:when test="${sessionScope.role eq \"admin\"}">
			    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
					SELECT id, info
					FROM campanias
					ORDER BY info
			    </sql:query>
			</c:when>
			<c:otherwise>
			    <sql:query var="rs2" dataSource="jdbc/callcenterRO">
					SELECT c.id AS id, info
					FROM campanias c
					INNER JOIN ${sessionScope.ipcontactTable}.queue_users on c.info = queue
					INNER JOIN ${sessionScope.ipcontactTable}.users USING (username)
					INNER JOIN ${sessionScope.ipcontactTable}.supervisors_groups USING (group_id)
					WHERE user_id = '${sessionScope.username}'
					GROUP BY c.id
					ORDER BY info
			    </sql:query>
			</c:otherwise>
		</c:choose>
		
		<h2><fmt:message key="addscheduled.title"/>:</h2>
		
		<form onsubmit="return validarDatosSchedule(this)" method="post" action="../servlet/AddCallSchedule" name="formulario"/>
			<table class="query">
				<tr class="plain">
					<td class="query"><fmt:message key="addscheduled.agent"/></td>
					<td class="query">
						<select name="agente">
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:if test="${row.username eq agente}">
									<c:set var="selected" value="selected = \"selected\""/>
								</c:if>
								<option value="${row.username}" ${selected} >${row.first_name} ${row.last_name}</option>
								<c:set var="selected" value=""/>
							</c:forEach>
						</select> 
					</td>
				</tr>
		   
				<tr class="plain">
					<td class="query"><fmt:message key="addscheduled.id"/></td>
					<td class="query">
						<input type="text" name="id" size="11" maxlength="11" value="${id}" />
					</td>
				</tr>
				
				<tr class="plain">
					<td class="query"><fmt:message key="addscheduled.campaign"/>:</td>
					<td class="query">
						<select name="idc">
							<c:forEach var="row" varStatus="stat" items="${rs2.rows}">
								<c:if test="${row.id eq idc}">
									<c:set var="selected" value="selected = \"selected\""/>
								</c:if>
								<option value="${row.id}" ${selected}>${row.info}</option>
							</c:forEach>
						</select> 
					</td>
				</tr>

				<tr class="plain">
					<td class="query"><fmt:message key="addscheduled.telephone"/></td>
					<td class="query">
						<input type="text" name="telephone" size="20" maxlength="20" value="${telephone}" />
					</td>
				</tr>

				<tr class="plain">
					<td class="query"><fmt:message key="addscheduled.date"/></td>
					<td class="query">
						<input type="text" name="date" size="10" maxlength="10" id="date" value="${datetime[0]}" />
						<input type="text" name="time" size="5" maxlength="5" value="${datetime[1]}" />
						<script type="text/javascript">
						<!--
							if (document.formulario.date.value.length == 0)
								document.formulario.date.value=getCurrentDate();
							if (document.formulario.time.value.length == 0)
								document.formulario.time.value=getCurrentTime();
						-->
						</script>
						<fmt:message key="calendar" var="calendar"/>
						<img src="../calendar/calendar.jpg" title="${calendar}" alt="${calendar}" onclick="scwShow(document.getElementById('date'),this);" />
						<c:set var="calendar" value=""/>
					</td>
				</tr>
		
				<tr class="plain">
					<td class="query" colspan="3">
						<fmt:message key="addscheduled.submit" var="submit"/>
						<fmt:message key="addscheduled.reset" var="reset"/>
						<input class="boton" type="submit" value="${submit}" align="middle"/> &nbsp;&nbsp;
						&nbsp;&nbsp; 
						<input class="boton" type="reset" value="${reset}" align="middle"/>
						<c:set var="submit" value=""/>
						<c:set var="reset" value=""/>
					</td>
				</tr>
			</table>
			
		
			<c:if test="${not empty param.id}">
				<input type="hidden" name="oldId" value="${param.id}" />
			</c:if>
		</form>
	</div>
</fmt:bundle>
</body>
</html>
