<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="queues">
		<c:choose>
			<c:when test="${sessionScope.role eq \"admin\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users ON username = user
					ORDER BY first_name
				</sql:query>
			</c:when>
			<c:when test="${sessionScope.role eq \"supervisor\"}">
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users on username = user
					INNER JOIN supervisors_groups USING (group_id)
					WHERE user_id = '${sessionScope.username}'
					ORDER BY first_name
				</sql:query>
			</c:when>
		</c:choose>
	
		<script type="text/javascript" src="../include/scripts.js"></script>
		
		<h1><fmt:message key="agentstatus.title"/></h1>
	
		<div class="borde">
			<form method="get" action="agentStatus.jsp" target="_self">
				<label for="agent"><fmt:message key="agentstatus.agent"/>:</label>
				&nbsp;
				<select name="agent">
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:if test="${row.username eq param.agent}">
							<c:set var="selected" value="selected = \"selected\""/>
						</c:if>
						<option value="${row.username}" ${selected}>${row.first_name} ${row.last_name}</option>
						<c:set var="selected" value=""/>
					</c:forEach>
				</select> 
				&nbsp;
				<fmt:message key="search" var="search"/>
				<input type="submit" value="${search}" class="boton"/>
				<c:set var="search" value=""/>
			</form>
		</div>
		 
		<br/>
		
		<c:catch var="ex">
	
			<c:if test="${not empty param.delete}">
				<sql:update dataSource="jdbc/ipcontact">
					DELETE FROM queue_users
					WHERE username = '${param.delete}' AND queue = '${param.queue}'
				</sql:update>

				<c:if test="${not empty param.lognow}">
					<c:url var="lognow" value="delAgent.jsp">
					    <c:param name="agent" value="${param.agent}"/>
						<c:param name="queue" value="${param.queue}"/>
						<c:param name="target" value="agent"/>
					</c:url>
                    <c:redirect url="${lognow}"/>
				</c:if>
			</c:if>
	
			<c:if test="${not empty param.queue and empty param.delete}">
				<c:choose>
					<c:when test="${empty param.penalty}">
						<c:set var="penalty" value="0"/>
					</c:when>
					<c:otherwise>
						<c:set var="penalty" value="${param.penalty}"/>
					</c:otherwise>
				</c:choose>
	
				<sql:update dataSource="jdbc/ipcontact">
					INSERT INTO queue_users (username, queue, priority)
					VALUES ('${param.agent}', '${param.queue}', ${penalty})
				</sql:update>
				<c:if test="${not empty param.lognow}">
					<c:url var="lognow" value="addAgent.jsp">
					    <c:param name="agent" value="${param.agent}"/>
					    <c:param name="penalty" value="${penalty}"/>
						<c:param name="queue" value="${param.queue}"/>
						<c:param name="target" value="agent"/>
					</c:url>
                    <c:redirect url="${lognow}"/>
				</c:if>
			</c:if>
	
		</c:catch>
	
		<c:if test="${not empty ex}">
			<c:if test="${fn:contains(ex, \"Duplicate\")}">
				<fmt:message key="agentstatus.duplicate" var="ex"/>
			</c:if>
			<div class="error">
				<fmt:message key="agentstatus.error"/>: ${ex}
			</div>
			<br/>
		</c:if>

		<sql:query var="rs" dataSource="jdbc/ipcontact">
			SELECT username, queue, priority
			FROM queue_users
			WHERE username = '${param.agent}'
		</sql:query>
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SELECT username
			FROM slaves
			WHERE username = '${param.agent}'
		</sql:query>
        		
	<!--  EMPIEZA LA PAGINA  -->
	
		<c:if test="${not empty param.agent}">
			<h2><fmt:message key="agentstatus.asignedqueues"/></h2>
			
			<c:choose>
				<c:when test="${empty rs.rows}">
					<p><fmt:message key="agentstatus.empty"/></p>
				</c:when>
				<c:otherwise>
					<table class="data">
						<tr class="tit">
							<th><fmt:message key="agentstatus.queue"/></th>
							<th><fmt:message key="agentstatus.priority"/></th>
							<th></th>
							<c:if test="${rs2.rowCount > 0}">
								<th></th>
							</c:if>
						</tr>
							<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								<c:choose>
									<c:when test="${stat.count % 2 == 0}">
										<tr class="even">
									</c:when>
									<c:otherwise>
										<tr class="odd">
									</c:otherwise>
								</c:choose>
								<td class="data">${row.queue}</td>
								<td class="data">${row.priority}</td>
								<c:url var="url" value="agentStatus.jsp">
									<c:param name="delete" value="${row.username}"/>
									<c:param name="queue" value="${row.queue}"/>
									<c:param name="agent" value="${param.agent}"/>
								</c:url>
								<td><a href="${url}"><fmt:message key="delete"/></a></td>
								<c:if test="${rs2.rowCount > 0}">
									<c:url var="url2" value="agentStatus.jsp">
										<c:param name="delete" value="${row.username}"/>
										<c:param name="queue" value="${row.queue}"/>
										<c:param name="agent" value="${param.agent}"/>
										<c:param name="lognow" value="true"/>
									</c:url>
									<td><a href="${url2}"><fmt:message key="agentstatus.deleteAndDeactivate"/></a></td>
								</c:if>
							</c:forEach>
						</tr>
					</table>
				</c:otherwise>
			</c:choose>
			
			<br/>

			<% 	
				Document doc;
				Element action;
				String [] [] result;
				
				doc = XMLHelper.newDocument();
				action = XMLHelper.newElement(doc, "query", "type", "get queues");
				doc.appendChild(action);
				result = net.actionArray(doc, 7);
				pageContext.setAttribute("result", result);
			%>
		
			<form method="post" action="agentStatus.jsp">
				<input type="hidden" name="agent" value="${param.agent}"/>
				<table class="query">
					<tr class="plain">
						<td class="query"><fmt:message key="agentstatus.queue"/>:</td>
						<td class="query">
							<select name="queue">
							<c:forEach var="row" items="${result}">
								<option value="${row[0]}">${row[0]}</option>
							</c:forEach>
							</select>
						</td>
					</tr>
					<tr class="plain">
						<td class="query"><fmt:message key="agentstatus.priority"/>:</td>
						<td class="query"><input type="text" value="0" size="2" name="penalty" onKeyPress="return NumOnly(event)"/></td>
					</tr>
					<c:if test="${rs2.rowCount > 0}">
	                    <tr class="plain">
	                        <td class="query"><fmt:message key="agentstatus.lognow"/>:</td>
	                        <td class="query"><input type="checkbox" checked="checked" name="lognow"/></td>
	                    </tr>
                    </c:if>
					<tr class="plain">
						<td class="query" colspan="2">
							<fmt:message key="add" var="add"/>
							<input class="boton" type="submit" name="submit" value="${add}"/>
							<c:set var="add" value=""/>
						</td>
					</tr>
				</table>
			</form>
			
		</c:if>
	</fmt:bundle>
</div>
</body>
</html>
