<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<h1><fmt:message key="reportmissedcalls.title"/></h1>
		
		<c:choose>
			<c:when test="${empty param.afterDate}">
				
			<c:choose>
				<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
					<sql:query var="rs" dataSource="jdbc/ipcontact">
						SELECT DISTINCT queue 
						FROM queue_users 
						INNER JOIN users USING (username)
						INNER JOIN supervisors_groups USING (group_id)
						WHERE user_id = '${sessionScope.username}'
						ORDER BY queue
					</sql:query>
				</c:when>
			</c:choose>
				
				<form method="get" name="formulario" action="reportMissedCalls.jsp">
		 			<table class="query">
			            <tr class="plain">
							<td class="query"> <fmt:message key="reportmissedcalls.from"/>: </td>
							<td class="query">
								<input name='afterDate' id='date' type='text' size='10'/>
								<input name='afterTime' id='afterTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.date.value.length == 0)
										document.formulario.date.value=getCurrentDate();
									if (document.formulario.afterTime.value.length == 0)
										document.formulario.afterTime.value="00:00";
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportmissedcalls.calendar"/>' alt='<fmt:message key="reportmissedcalls.calendar"/>' onclick="scwShow(document.getElementById('date'),this);" />
							</td>
						</tr>
						<tr class="plain">
							<td class="query"> <fmt:message key="reportmissedcalls.to"/>: </td>
							<td class="query">
								<input name='beforeDate' id='beforeDate' type='text' size='10'/>
								<input name='beforeTime' id='beforeTime' type='text' size='5'/>
								<script type="text/javascript">
								<!--
									if (document.formulario.beforeDate.value.length == 0)
										document.formulario.beforeDate.value=getCurrentDate();
									if (document.formulario.beforeTime.value.length == 0)
										document.formulario.beforeTime.value=getCurrentTime();
								-->
								</script>
								<img src='../../calendar/calendar.jpg' title='<fmt:message key="reportmissedcalls.calendar"/>' alt='<fmt:message key="reportmissedcalls.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
							</td> 
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.queue"/>:</td>
							<td class="query">
								<select name="queue">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<option value="informes">informes</option>
									<option value="cedula">cedula</option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.groupby"/>:</td>
							<td class="query">
								<select name="groupby">
									<option value="nil" selected="selected"></option>
									<option value="callerid">Caller ID</option>
									<option value="wait"><fmt:message key="reportmissedcalls.waittime"/></option>
									<option value="day"><fmt:message key="reportmissedcalls.day"/></option>
									<option value="day+callerid"><fmt:message key="reportmissedcalls.day+callerid"/></option>
									<option value="day+wait"><fmt:message key="reportmissedcalls.day+waittime"/></option>
								</select>
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="reportmissedcalls.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
						</tr>
						<tr class="plain">
				        	<td class="query" colspan="2">
				            	<input class="boton" type="submit" value="<fmt:message key="reportmissedcalls.submit"/>"/>
				            </td>
				        </tr>
					</table>
				</form>			
			</c:when>
			
			<c:otherwise>				
			
				<c:set var="offset" value="${param.offset}"/>
		
				<c:if test="${empty offset}">
					<c:set var="offset" value="0"/>
				</c:if>
		
				<jsp:useBean id="missedCalls" class="ipcontact.clearing.ReportMissedCallsBean" scope="page">
					<jsp:setProperty name="missedCalls" property="*"/> 
					<c:set target='${missedCalls}' property='user' value='${sessionScope.username}'/>
					<c:set target='${missedCalls}' property='role' value='${sessionScope.role}'/>
				</jsp:useBean>
			
				<c:set var="count" value="${missedCalls.count}"/>
				<c:set var='table' value='${missedCalls.data}'/>
				<c:set var='headers' value='${missedCalls.headers}'/>
						
				<c:if test='${count > (offset + param.rows)}'>
				  	<c:set var="nextOffset" value="true"/>
				</c:if>
				
				<form method="get" action="reportMissedCalls.jsp" name="jumpForm">
					<input type="hidden" name="afterTime" value="${param.afterTime}"/>
					<input type="hidden" name="afterDate" value="${param.afterDate}"/>
					<input type="hidden" name="beforeTime" value="${param.beforeTime}"/>
					<input type="hidden" name="beforeDate" value="${param.beforeDate}"/>
					<input type="hidden" name="queue" value="${param.queue}"/>
					<input type="hidden" name="groupby" value="${param.groupby}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
				
				<h3><fmt:message key="reportmissedcalls.title"/></h3>
				<h3>
					<table>
						<tr>
							<td> <fmt:message key="reportmissedcalls.from"/>:</td>
							<td>${param.afterDate}</td>
							<td>${param.afterTime}</td>
						</tr>
						<tr>
							<td> <fmt:message key="reportmissedcalls.to"/>:</td>
							<td>${param.beforeDate}</td>
							<td>${param.beforeTime}</td>
						</tr>
					</table>
				</h3>
				
				<table class="data">
					<tr class="tit">
						<c:forEach var="row" items="${headers}">
							<c:choose>
								<c:when test="${param.groupby eq 'wait' or param.groupby eq 'day+wait'}">
									<th>${row}</th>
								</c:when>
								<c:otherwise>
									<th><fmt:message key="${row}"/></th>
								</c:otherwise>
							</c:choose>
						</c:forEach>
					</tr>
					
					<c:forEach var="row" varStatus="stat" items="${table}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<c:forEach var="element" varStatus="stat2" items="${row}">
							<c:choose>
								<c:when test="${empty element}">
									<td class="data"><fmt:message key="total"/></td>
								</c:when>
								<c:otherwise>
									<td class="data">${element}</td>									
								</c:otherwise>
							</c:choose>					
						</c:forEach>
					</c:forEach>
				</table>
				
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
				<c:url var="link" value="reportMissedCallsTable.jsp">
					<c:param name="afterDate" value="${param.afterDate}"/>
					<c:param name="afterTime" value="${param.afterTime}"/>
					<c:param name="beforeDate" value="${param.beforeDate}"/>
					<c:param name="beforeTime" value="${param.beforeTime}"/>
					<c:param name="queue" value="${param.queue}"/>
					<c:param name="groupby" value="${param.groupby}"/>
				</c:url>
				
				<p>
					<a href="${link}"><fmt:message key="reportmissedcalls.downloadtext"/></a>
				</p>		
				
			</c:otherwise>			
																											
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
