<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<c:choose>
	<c:when test="${sessionScope.fast}">
		<c:set var="recordPage" value="fast/pbxRecord.jsp"/>
	</c:when>
	<c:otherwise>
		<c:set var="recordPage" value="pbxRecord.jsp"/>
	</c:otherwise>
</c:choose>

<div id="right">	
	<fmt:bundle basename="statistics">
		<c:if test="${not empty sessionScope.message}">
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:choose>
					<c:when test="${sessionScope.message eq \"statistics.listen.nofile\"}">
						<fmt:message key="statistics.listen.nofile"/>
					</c:when>
					<c:when test="${sessionScope.message eq \"statistics.error.idrsa\"}">
						<fmt:message key="statistics.error.idrsa"/>
					</c:when>
					<c:when test="${sessionScope.message eq \"statistics.error.knownhosts\"}">
						<fmt:message key="statistics.error.knownhosts"/>
					</c:when>
					<c:when test="${sessionScope.message eq \"statistics.error.user\"}">
						<fmt:message key="statistics.error.user"/>
					</c:when>
					<c:when test="${sessionScope.message eq \"statistics.error.conf\"}">
						<fmt:message key="statistics.error.conf"/>
					</c:when>
					<c:when test="${sessionScope.message eq \"statistics.error.nohost\"}">
						<fmt:message key="statistics.error.nohost"/>
					</c:when>
					<c:otherwise>
						${sessionScope.message}
					</c:otherwise>
				</c:choose>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		<sql:query var="rs" dataSource="jdbc/ipcontactRO">
			SELECT DATE_FORMAT(begin, '%d/%m/%Y %T') as beginf, DATE_FORMAT(end, '%d/%m/%Y %T') as endf, DATE(begin) AS date, 
				TIMEDIFF(end, begin) AS diff, filename 
			FROM callmonitor WHERE uniqueid = '${param.uniqueid}' ORDER BY begin ASC
		</sql:query>
		
		<c:choose>
			<c:when test="${!empty rs.rows}">
				<h2><fmt:message key='recordquery.data.title'/></h2>
				<table class="data">
					<tr class="tit">
						<th><fmt:message key='recordquery.data.start'/></th>
						<th><fmt:message key='recordquery.data.end'/></th>
						<th><fmt:message key='recordquery.data.duration'/></th>
						<th><fmt:message key='recordquery.data.file'/></th>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
							<%@ include file="../include/sql/sshconfig_fix_table.jsp" %>
									<td class="data">${row.beginf}</td>	
									<td class="data">${row.endf}</td>	
									<td class="data">${row.diff}</td>	
									<td class="data">
										<c:url var="record" value="${recordPage}">
			  								<c:param name="file" value="${row.filename}" />
											<c:param name="date" value="${row.date}" />
											<c:param name="uniqueid" value="${param.uniqueid}" />
										</c:url>
										<a href="${record}">${row.filename}</a>
									</td>	
								</tr>
					</c:forEach>
				</table>
			</c:when>
			<c:otherwise>
				<fmt:message key='recordquery.error.emptyrow'/>
			</c:otherwise>
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>
